-- begin MM_PROBLEM_ATT_HOLDER
create table MM_PROBLEM_ATT_HOLDER (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    FACTOR_ID varchar2(32),
    CATEGORY_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_PROBLEM_ATT_HOLDER

-- begin SYS_CATEGORY_ATTR
alter table SYS_CATEGORY_ATTR add ( TOOLTIP varchar2(255 char) ) ^
alter table SYS_CATEGORY_ATTR add ( DTYPE varchar2(31 char) ) ^
update SYS_CATEGORY_ATTR set DTYPE = 'mm_ProblemAttribute' where DTYPE is null ^
-- end SYS_CATEGORY_ATTR
-- begin MM_PROBLEM_FACTOR
create table MM_PROBLEM_FACTOR (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    IDENT varchar2(255 char) not null,
    NAME varchar2(255 char) not null,
    SCRIPT clob,
    --
    primary key (ID)
)^
-- end MM_PROBLEM_FACTOR
-- begin MM_CLIENT
create table MM_CLIENT (
    ID varchar2(32),
    --
    FULL_NAME varchar2(255 char),
    INN varchar2(255 char),
    KPP_ varchar2(255 char),
    HOLDING_ID varchar2(32),
    SEGMENT_ID varchar2(50 char),
    ORG_ID varchar2(32),
    IS_RESIDENT char(1),
    --
    primary key (ID)
)^
-- end MM_CLIENT
-- begin MM_COUNTERPARTY
create table MM_COUNTERPARTY (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    TYPE varchar2(31 char),
    --
    NAME varchar2(255 char),
    CRM_ID varchar2(255 char),
    ABS_ID varchar2(255 char),
    CRC_ID number(10),
    SIEBEL_ROW_ID varchar2(255 char),
    SIEBEL_LAST_UPDATE_DATE timestamp,
    PV_LEVEL integer,
    IN_DRA char(1),
    CURATOR_ID varchar2(32),
    MANAGER_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_COUNTERPARTY
-- begin MM_HOLDING
create table MM_HOLDING (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_HOLDING
-- begin MM_PROBLEM_FACTOR_ATTRIBUTE
create table MM_PROBLEM_FACTOR_ATTRIBUTE (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    ATTRIBUTE_ID varchar2(32),
    FACTOR_ID varchar2(32),
    IS_REQUIRED char(1),
    ORD number(10),
    --
    primary key (ID)
)^
-- end MM_PROBLEM_FACTOR_ATTRIBUTE
-- begin MM_MONITORING_CARD
create table MM_MONITORING_CARD (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NUMBER_ varchar2(255 char),
    CREATE_DATE date,
    RESP_DEP_ID varchar2(32),
    AUTHOR_ID varchar2(32),
    CLIENT_ID varchar2(32),
    NO_MONITORING_ID varchar2(32),
    PV_LEVEL integer not null,
    HAVE_PV char(1),
    CLIENT_IN_DRA char(1),
    PROBLEM_CLIENT char(1),
    CLIENT_CLASS varchar2(50 char),
    CLIENT_SEG varchar2(50 char),
    LAST_REP_DATE date,
    CLIENT_RATING varchar2(50 char),
    START_DATE date,
    END_DATE date,
    CONSTR_PROJ char(1),
    INVEST_PROJ char(1),
    STRAT_PLAN char(1),
    LOMB_CREDIT char(1),
    FACTORING char(1),
    ONLY_FACT char(1),
    COMMENT_ clob,
    RES_EMP_ID varchar2(32),
    HOLDING_LIMIT number(19, 2),
    CLIENT_LIMIT number(19, 2),
    PREVIOUS_DEBT number(19, 2),
    CURRENT_DEBT number(19, 2),
    START_DATE_LIMIT date,
    END_DATE_LIMIT date,
    STRATEGIC_PLAN_ID varchar2(32),
    TURNOVER_ID varchar2(32),
    ATTR_HOLDER_ID varchar2(32),
    FINANCIAL_POSITION_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_MONITORING_CARD
-- begin MM_NO_MONITORING
create table MM_NO_MONITORING (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    IDENT varchar2(255 char) not null,
    CAUSE clob,
    --
    primary key (ID)
)^
-- end MM_NO_MONITORING
-- begin MM_FILE_KIND
create table MM_FILE_KIND (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(255 char),
    IDENT varchar2(255 char) not null,
    --
    primary key (ID)
)^
-- end MM_FILE_KIND
-- begin MM_PROBLEM_FACTOR_ATTRIBUTE
create table MM_PROBLEM_FACTOR_ATTRIBUTE (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    ATTRIBUTE_ID varchar2(32),
    FACTOR_ID varchar2(32),
    IS_REQUIRED char(1),
    ORD number(10),
    --
    primary key (ID)
)^
-- end MM_PROBLEM_FACTOR_ATTRIBUTE
-- begin MM_FILE
create table MM_FILE (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(255 char),
    SIZE_ number(19),
    AUTHOR_ID varchar2(32),
    LAST_MOD_DATE timestamp,
    KIND_ID varchar2(32),
    COMMENT_ varchar2(255 char),
    FILE_DESCRIPTOR_ID varchar2(32),
    MONITORING_CARD_ID varchar2(32),
    TASK_PROCESS_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_FILE
-- begin MM_SP_CLIENT
create table MM_SP_CLIENT (
    ID varchar2(32),
    --
    SURNAME varchar2(255 char),
    PERSON_NAME varchar2(255 char),
    SECOND_NAME varchar2(255 char),
    BIRTHDAY_ date,
    PASPORT_SERIE varchar2(255 char),
    PASPORT_NUMBER varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_SP_CLIENT

-- begin MM_BANK
create table MM_BANK (
    ID varchar2(32),
    --
    BIK_ varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_BANK

-- begin MM_JURIDICAL
create table MM_JURIDICAL (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_JURIDICAL

-- begin MM_CURATOR
create table MM_CURATOR (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(1024 char),
    XUSERSID varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_CURATOR
-- begin MM_ORG_FORM
create table MM_ORG_FORM (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_ORG_FORM

-- begin MM_RESP_EMPLOYEE
create table MM_RESP_EMPLOYEE (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SUBDIVISION_ID varchar2(32),
    NAME varchar2(255 char),
    USER_ID varchar2(32),
    MON_CARD_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_RESP_EMPLOYEE
-- begin MM_LIMIT
create table MM_LIMIT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    LIMIT_ID varchar2(255 char),
    CLIENT_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_LIMIT
-- begin MM_FACTOR
create table MM_FACTOR (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    MON_PERIOD varchar2(50 char),
    NUM_OF_MON number(10),
    --
    PROBLEM_FACTOR_ID varchar2(32),
    START_DATE_MON date,
    EXECUTOR_ID varchar2(32),
    IS_IDENTIFIED char(1),
    DATE_OFDET date,
    MON_CARD_ID varchar2(32),
    PROBLEMATTRIBUTEHOLDER_ID varchar2(32),
    SUBDIVISION_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_FACTOR
--begin MM_DOCUMENT_FILE_LINK
create table MM_DOCUMENT_FILE_LINK (
    FILE_ID varchar2(32),
    FILE_DESCRIPTOR_ID varchar2(32),
    primary key (FILE_ID, FILE_DESCRIPTOR_ID)
)^
--end MM_DOCUMENT_FILE_LINK
-- begin MM_STRATEGIC_PLAN
create table MM_STRATEGIC_PLAN (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    DECISION_DATE date,
    IS_STRAT_PLAN char(1),
    COMMENT_ clob,
    --
    primary key (ID)
)^
-- end MM_STRATEGIC_PLAN

-- begin MM_TURNOVER
create table MM_TURNOVER (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    INDICATOR_DATE date,
    REPORT_QUARTER number(19, 2),
    LAST_QUARTER number(19, 2),
    APPG_TURNOVER number(19, 2),
    QUARTER_CHANGE number(19, 2),
    YEAR_CHANGE number(19, 2),
    OBLIGATE_BREACH char(1),
    --
    primary key (ID)
)^
-- end MM_TURNOVER
-- begin MM_SUBLIMIT
create table MM_SUBLIMIT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SUBLIMIT_ID varchar2(255 char),
    SUBLIMIT_NAME varchar2(255 char),
    AMOUNT_FOR_CLIENT number(19, 2),
    --
    primary key (ID)
)^
-- end MM_SUBLIMIT
-- begin MM_PODLIMIT
create table MM_PODLIMIT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    PODLIMIT_ID varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_PODLIMIT
-- begin MM_LIMIT_GRAPH
create table MM_LIMIT_GRAPH (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    AMOUNT_ number(19, 2),
    START_DATE date,
    END_DATE date,
    --
    primary key (ID)
)^
-- end MM_LIMIT_GRAPH
-- begin MM_TYPICALCOVENANT
create table MM_TYPICALCOVENANT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    IDENT varchar2(255 char) not null,
    NAME varchar2(255 char) not null,
    COV_DESCRIPTION clob,
    --
    primary key (ID)
)^
-- end MM_TYPICALCOVENANT
-- begin MM_RELATION_WITH_LIMIT
create table MM_RELATION_WITH_LIMIT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    LIMIT_ID varchar2(32),
    MON_CARD_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_RELATION_WITH_LIMIT

-- begin MM_COVENANT
create table MM_COVENANT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    MON_PERIOD varchar2(50 char),
    NUM_OF_MON number(10),
    --
    CONDITION_ID varchar2(255 char),
    FIN_CONDITION_TYPE varchar2(255 char),
    CONDITION_TYPE varchar2(50 char),
    CONDITION_SPECIES varchar2(50 char),
    CONDITION_SUBSPECIES varchar2(50 char),
    DECISION_STATEMENT varchar2(4000 char),
    INCLUDED_TO_COD char(1),
    TYPICAL_COVENANT_ID varchar2(32),
    CONTROL_SUBDIV_ID varchar2(32),
    INFO_SUBDIV_ID varchar2(32),
    EXPERT_SUBDIV_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_COVENANT
-- begin MM_LIMIT_LGRAPH
create table MM_LIMIT_LGRAPH (
    LIMIT_ID varchar2(32),
    LIMIT_GRAPH_ID varchar2(32),
    primary key (LIMIT_ID, LIMIT_GRAPH_ID)
)^
-- end MM_LIMIT_LGRAPH
-- begin MM_PODLIMIT_COVENANT
create table MM_PODLIMIT_COVENANT (
    PODLIMIT_ID varchar2(32),
    COVENANT_ID varchar2(32),
    primary key (PODLIMIT_ID, COVENANT_ID)
)^
-- end MM_PODLIMIT_COVENANT
-- begin MM_SUBLIMIT_LGRAPH
create table MM_SUBLIMIT_LGRAPH (
    SUBLIMIT_ID varchar2(32),
    SUBLIMIT_GRAPH_ID varchar2(32),
    primary key (SUBLIMIT_ID, SUBLIMIT_GRAPH_ID)
)^
-- end MM_SUBLIMIT_LGRAPH
-- begin MM_LIMIT_COVENANT
create table MM_LIMIT_COVENANT (
    LIMIT_ID varchar2(32),
    COVENANT_ID varchar2(32),
    primary key (LIMIT_ID, COVENANT_ID)
)^
-- end MM_LIMIT_COVENANT
-- begin MM_PODLIMIT_CLIENT
create table MM_PODLIMIT_CLIENT (
    PODLIMIT_ID varchar2(32),
    CLIENT_ID varchar2(32),
    primary key (PODLIMIT_ID, CLIENT_ID)
)^
-- end MM_PODLIMIT_CLIENT
-- begin MM_PODLIMIT_LGRAPH
create table MM_PODLIMIT_LGRAPH (
    PODLIMIT_ID varchar2(32),
    PODLIMIT_GRAPH_ID varchar2(32),
    primary key (PODLIMIT_ID, PODLIMIT_GRAPH_ID)
)^
-- end MM_PODLIMIT_LGRAPH
-- begin MM_LIMIT_CLIENT
create table MM_LIMIT_CLIENT (
    LIMIT_ID varchar2(32),
    CLIENT_ID varchar2(32),
    primary key (LIMIT_ID, CLIENT_ID)
)^
-- end MM_LIMIT_CLIENT
-- begin MM_COVENANT_MON_CARD
create table MM_COVENANT_MON_CARD (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    MON_CARD_ID varchar2(32),
    COVENANT_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_COVENANT_MON_CARD

-- begin MM_ROLE_CLIENT
create table MM_ROLE_CLIENT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    CLIENT_TYPE varchar2(50 char),
    RELATION_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_ROLE_CLIENT
-- begin MM_SUBLIMIT_PODLIMIT
create table MM_SUBLIMIT_PODLIMIT (
    SUBLIMIT_ID varchar2(32),
    PODLIMIT_ID varchar2(32),
    primary key (SUBLIMIT_ID, PODLIMIT_ID)
)^
-- end MM_SUBLIMIT_PODLIMIT
-- begin MM_LIMIT_SUBLIMIT
create table MM_LIMIT_SUBLIMIT (
    LIMIT_ID varchar2(32),
    SUBLIMIT_ID varchar2(32),
    primary key (LIMIT_ID, SUBLIMIT_ID)
)^
-- end MM_LIMIT_SUBLIMIT
-- begin MM_MON_CARD_RESP_EMP
create table MM_MON_CARD_RESP_EMP (
    MON_CARD_ID varchar2(32),
    RESP_EMP_ID varchar2(32),
    primary key (MON_CARD_ID, RESP_EMP_ID)
)^
-- end MM_MON_CARD_RESP_EMP
-- begin MM_PF_EVENT_MON_FACTOR
create table MM_PF_EVENT_MON_FACTOR (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    EVENT_ID varchar2(32),
    MONITORING_FACTOR_ID varchar2(32),
    DETECTED char(1),
    DETECTED_DATE date,
    ATTR_HOLDER_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_PF_EVENT_MON_FACTOR

-- begin MM_PROBLEM_FACTOR_EVENT
create table MM_PROBLEM_FACTOR_EVENT (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_PROBLEM_FACTOR_EVENT
-- begin MM_COVENANT_EVENT
create table MM_COVENANT_EVENT (
    ID varchar2(32),
    --
    CONTROL_DEPARTMENT varchar2(255 char),
    PLANNED_RESULT varchar2(255 char),
    ACTUAL_RESULT varchar2(255 char),
    VIOLATED char(1),
    --
    primary key (ID)
)^
-- end MM_COVENANT_EVENT

-- begin MM_FINANCIAL_COVENANT_EVENT
create table MM_FINANCIAL_COVENANT_EVENT (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_FINANCIAL_COVENANT_EVENT
-- begin MM_NON_FINANCIAL_COV_EVENT
create table MM_NON_FINANCIAL_COV_EVENT (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_NON_FINANCIAL_COV_EVENT
-- begin MM_FINANCIAL_POSITION
create table MM_FINANCIAL_POSITION (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    DATE_EXPERT_INDICATORS date,
    REVENUE_LAST_QUARTER number(19, 2),
    REVENUE_APPG number(19, 2),
    REVENUE_LTM number(19, 2),
    DYNAMICS_OF_REVENUE_APPG number(19, 2),
    QUARTER_BALANCE_DIFFERENCES number(19, 2),
    QUARTER_REVENUE number(19, 2),
    AMOUNT_OF_ANALYTIC_CAPITAL number(19, 2),
    BALANCE_CURRENCY number(19, 2),
    LAST_QUARTER_EBITDAR number(19, 2),
    VALUE_EBITDAR_LTM number(19, 2),
    AMOUNT_PERCENT_AND_LEASE_PAY number(19, 2),
    LOSSES_FOR_LAST_TWO_QUARTER number(19, 2),
    ATYPICAL_CHANGES_IN_REPORTING varchar2(255 char),
    SHARE_OF_ANALYT_CAPITAL number(19, 2),
    FORCED_PROLONGATION char(1),
    LAST_DATE_CHOK number(19, 2),
    IN_APPG_CHOK number(19, 2),
    CHANGE_CHOK_BY_APPG number(19, 2),
    ANALYTICAL_CURRENT_LIQ_RATIO number(19, 2),
    NON_ANALYTICAL_CUR_LIQ_RATIO number(19, 2),
    ANALYTICAL_OPERATING_CYCLE number(19, 2),
    NON_ANALYTICAL_OPERAT_CYCLE number(19, 2),
    --
    primary key (ID)
)^
-- end MM_FINANCIAL_POSITION
-- begin MM_COVENANT_EVENT_MON_COV
create table MM_COVENANT_EVENT_MON_COV (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    COVENANT_EVENT_ID varchar2(32),
    COVENANT_ID varchar2(32),
    PLANNED_RESULT varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_COVENANT_EVENT_MON_COV
-- begin MM_COMMON_ATTRIBUTES_EVENT
create table MM_COMMON_ATTRIBUTES_EVENT (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    TYPE varchar2(31 char),
    --
    EVENT_TYPE_ID varchar2(32),
    MONITORING_CARD_ID varchar2(32),
    CAPTION varchar2(255 char),
    DESCRIPTION varchar2(255 char),
    START_DATE date,
    PLANNED_END_DATE date,
    FACT_END_DATE date,
    PROCESS_START_DATE date,
    COMPLETED char(1),
    --
    primary key (ID)
)^
-- end MM_COMMON_ATTRIBUTES_EVENT
-- begin MM_EVENT_TYPE
create table MM_EVENT_TYPE (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    IDENT varchar2(255 char),
    NAME varchar2(255 char),
    SHORT_NAME varchar2(255 char),
    SETTINGS_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_EVENT_TYPE
-- begin MM_COVENANT_CLIENTOFCOV
create table MM_COVENANT_CLIENTOFCOV (
    COVENANT_ID varchar2(32),
    CLIENT_ID varchar2(32),
    primary key (COVENANT_ID, CLIENT_ID)
)^
-- end MM_COVENANT_CLIENTOFCOV
-- begin MM_TASK_PROCESS
create table MM_TASK_PROCESS (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    EVENT_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_TASK_PROCESS
-- begin MM_TASK_INFO
create table MM_TASK_INFO (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    TASK_ID varchar2(255 char),
    NAME varchar2(255 char),
    TEXT_TASK varchar2(255 char),
    TASK_RESULT varchar2(50 char),
    TASK_PROCESS_ID varchar2(32),
    ASSIGNED_USER_ID varchar2(32),
    COMMENT_ clob,
    TASK_END char(1),
    CREATE_DATE timestamp,
    END_DATE timestamp,
    --
    primary key (ID)
)^
-- end MM_TASK_INFO
-- begin MM_EVENT_TYPE_SETTINGS
create table MM_EVENT_TYPE_SETTINGS (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    CTYPE varchar2(31 char),
    --
    DAYS number(10),
    PROCESS varchar2(255 char),
    --
    primary key (ID)
)^
-- end MM_EVENT_TYPE_SETTINGS
-- begin MM_SETTINGS_CD
create table MM_SETTINGS_CD (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_SETTINGS_CD
-- begin MM_SETTINGS_FK
create table MM_SETTINGS_FK (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_SETTINGS_FK
-- begin MM_SETTINGS_FP
create table MM_SETTINGS_FP (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_SETTINGS_FP
-- begin MM_SETTINGS_NFK
create table MM_SETTINGS_NFK (
    ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_SETTINGS_NFK
-- begin MM_SETTINGS_FK_ITEM
create table MM_SETTINGS_FK_ITEM (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SETTINGS_ID varchar2(32) not null,
    COVENANT varchar2(32) not null,
    DAYS number(10) not null,
    --
    primary key (ID)
)^
-- end MM_SETTINGS_FK_ITEM
-- begin MM_SETTINGS_CD_ITEM
create table MM_SETTINGS_CD_ITEM (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SETTINGS_ID varchar2(32) not null,
    DAYS number(10) not null,
    --
    primary key (ID)
)^
-- end MM_SETTINGS_CD_ITEM
-- begin MM_SETTINGS_NFK_ITEM
create table MM_SETTINGS_NFK_ITEM (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SETTINGS_ID varchar2(32) not null,
    PROBLEM_FACTOR_ID varchar2(32) not null,
    DAYS number(10) not null,
    --
    primary key (ID)
)^
-- end MM_SETTINGS_NFK_ITEM
-- begin MM_SETTINGS_FP_ITEM
create table MM_SETTINGS_FP_ITEM (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    SETTINGS_ID varchar2(32) not null,
    PROBLEM_FACTOR_ID varchar2(32) not null,
    DAYS number(10) not null,
    --
    primary key (ID)
)^
-- end MM_SETTINGS_FP_ITEM
-- begin MM_SUBDIVISION
create table MM_SUBDIVISION (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(128 char),
    FULL_NAME varchar2(512 char),
    IDENT varchar2(64 char),
    SUBDIVISION_ID varchar2(32),
    MANAGER_ID varchar2(32),
    LEADER_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_SUBDIVISION
-- begin MM_EXECUTOR
create table MM_EXECUTOR (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    EXECUTOR varchar2(50 char),
    TYPE_EXECUTOR varchar2(255 char),
    ROLE_ID varchar2(32),
    USER_ID varchar2(32),
    GROUP_ID varchar2(32),
    EVENT_ID varchar2(32),
    --
    primary key (ID)
)^
-- end MM_EXECUTOR
-- begin MM_MONITORING_CARD_VERSION
create table MM_MONITORING_CARD_VERSION (
    ID varchar2(32),
    VERSION number(10) not null,
    CREATE_TS timestamp,
    CREATED_BY varchar2(50 char),
    UPDATE_TS timestamp,
    UPDATED_BY varchar2(50 char),
    DELETE_TS timestamp,
    DELETED_BY varchar2(50 char),
    --
    NAME varchar2(255 char),
    SHORT_NAME varchar2(255 char),
    ENTITY_SNAPSHOT_ID varchar2(32),
    APPROVED char(1),
    MON_CARD_ID varchar2(32),
    CREATE_DATE date,
    --
    primary key (ID)
)^
-- end MM_MONITORING_CARD_VERSION
