-- begin MM_PROBLEM_ATT_HOLDER
alter table MM_PROBLEM_ATT_HOLDER add constraint FK_MM_PROBATTHOLD_ON_FACTOR foreign key (FACTOR_ID) references MM_PROBLEM_FACTOR(ID)^
alter table MM_PROBLEM_ATT_HOLDER add constraint FK_MM_PROBATTHOLD_ON_CATEGORY foreign key (CATEGORY_ID) references SYS_CATEGORY(ID)^
create index IDX_MM_PROBATTHOLD_ON_FACTOR on MM_PROBLEM_ATT_HOLDER (FACTOR_ID)^
create index IDX_MM_PROBATTHOLD_ON_CATE on MM_PROBLEM_ATT_HOLDER (CATEGORY_ID)^
-- end MM_PROBLEM_ATT_HOLDER
-- begin MM_CLIENT
alter table MM_CLIENT add constraint FK_MM_CLIENT_ON_HOLDING foreign key (HOLDING_ID) references MM_HOLDING(ID)^
alter table MM_CLIENT add constraint FK_MM_CLIENT_ON_ORG foreign key (ORG_ID) references MM_ORG_FORM(ID)^
alter table MM_CLIENT add constraint FK_MM_CLIENT_ON_ID foreign key (ID) references MM_COUNTERPARTY(ID) on delete CASCADE^
create index IDX_MM_CLIENT_ON_HOLDING on MM_CLIENT (HOLDING_ID)^
create index IDX_MM_CLIENT_ON_ORG on MM_CLIENT (ORG_ID)^
-- end MM_CLIENT
-- begin MM_HOLDING
alter table MM_HOLDING add constraint FK_MM_HOLDING_ON_ID foreign key (ID) references MM_COUNTERPARTY(ID) on delete CASCADE^
-- end MM_HOLDING
-- begin MM_PROBLEM_FACTOR_ATTRIBUTE
alter table MM_PROBLEM_FACTOR_ATTRIBUTE add constraint FK_MM_PROBFACTATTR_ON_ATTR foreign key (ATTRIBUTE_ID) references SYS_CATEGORY_ATTR(ID)^
alter table MM_PROBLEM_FACTOR_ATTRIBUTE add constraint FK_MM_PROBFACTATTR_ON_FACTOR foreign key (FACTOR_ID) references MM_PROBLEM_FACTOR(ID)^
create index IDX_MM_PROBFACTATTR_ON_ATTR on MM_PROBLEM_FACTOR_ATTRIBUTE (ATTRIBUTE_ID)^
create index IDX_MM_PROBFACTATTR_ON_FACTOR on MM_PROBLEM_FACTOR_ATTRIBUTE (FACTOR_ID)^
-- end MM_PROBLEM_FACTOR_ATTRIBUTE
-- begin MM_FILE
alter table MM_FILE add constraint FK_MM_FILE_ON_AUTHOR foreign key (AUTHOR_ID) references SEC_USER(ID)^
alter table MM_FILE add constraint FK_MM_FILE_ON_KIND1 foreign key (KIND_ID) references MM_FILE_KIND(ID)^
alter table MM_FILE add constraint FK_MM_FILE_ON_FILE_DESCRIPTOR foreign key (FILE_DESCRIPTOR_ID) references SYS_FILE(ID)^
alter table MM_FILE add constraint FK_MM_FILE_ON_MONITORING_CARD foreign key (MONITORING_CARD_ID) references MM_MONITORING_CARD(ID)^
alter table MM_FILE add constraint FK_MM_FILE_ON_TASK_PROCESS foreign key (TASK_PROCESS_ID) references MM_TASK_PROCESS(ID)^
create index IDX_MM_FILE_ON_AUTHOR on MM_FILE (AUTHOR_ID)^
create index IDX_MM_FILE_ON_KIND1 on MM_FILE (KIND_ID)^
create index IDX_MM_FILE_ON_FILEDESCR on MM_FILE (FILE_DESCRIPTOR_ID)^
create index IDX_MM_FILE_ON_MONITCARD on MM_FILE (MONITORING_CARD_ID)^
create index IDX_MM_FILE_ON_TASK_PROCESS on MM_FILE (TASK_PROCESS_ID)^
-- end MM_FILE
-- begin MM_SP_CLIENT
alter table MM_SP_CLIENT add constraint FK_MM_SP_CLIENT_ON_ID foreign key (ID) references MM_COUNTERPARTY(ID) on delete CASCADE^
-- end MM_SP_CLIENT
-- begin MM_PROBLEM_FACTOR_ATTRIBUTE
alter table MM_PROBLEM_FACTOR_ATTRIBUTE add constraint FK_MM_PROBFACTATTR_ON_ATTR foreign key (ATTRIBUTE_ID) references SYS_CATEGORY_ATTR(ID)^
alter table MM_PROBLEM_FACTOR_ATTRIBUTE add constraint FK_MM_PROBFACTATTR_ON_FACTOR foreign key (FACTOR_ID) references MM_PROBLEM_FACTOR(ID)^
create index IDX_MM_PROBFACTATTR_ON_ATTR on MM_PROBLEM_FACTOR_ATTRIBUTE (ATTRIBUTE_ID)^
create index IDX_MM_PROBFACTATTR_ON_FACTOR on MM_PROBLEM_FACTOR_ATTRIBUTE (FACTOR_ID)^
-- end MM_PROBLEM_FACTOR_ATTRIBUTE
-- begin MM_MONITORING_CARD
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_RESP_DEP foreign key (RESP_DEP_ID) references SEC_GROUP(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONITCARD_ON_AUTHOR foreign key (AUTHOR_ID) references SEC_USER(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONITCARD_ON_CLIENT foreign key (CLIENT_ID) references MM_COUNTERPARTY(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_NOMONI foreign key (NO_MONITORING_ID) references MM_NO_MONITORING(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_RES_EMP foreign key (RES_EMP_ID) references SEC_USER(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_STRAPLAN foreign key (STRATEGIC_PLAN_ID) references MM_STRATEGIC_PLAN(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONITCARD_ON_TURNOVER foreign key (TURNOVER_ID) references MM_TURNOVER(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_ATTR_HOLDER foreign key (ATTR_HOLDER_ID) references MM_PROBLEM_ATT_HOLDER(ID)^
alter table MM_MONITORING_CARD add constraint FK_MM_MONICARD_ON_FINAPOSI foreign key (FINANCIAL_POSITION_ID) references MM_FINANCIAL_POSITION(ID)^
create index IDX_MM_MONICARD_ON_RESP_DEP on MM_MONITORING_CARD (RESP_DEP_ID)^
create index IDX_MM_MONITCARD_ON_AUTHOR on MM_MONITORING_CARD (AUTHOR_ID)^
create index IDX_MM_MONITCARD_ON_CLIENT on MM_MONITORING_CARD (CLIENT_ID)^
create index IDX_MM_MONICARD_ON_NOMONI on MM_MONITORING_CARD (NO_MONITORING_ID)^
create index IDX_MM_MONICARD_ON_RES_EMP on MM_MONITORING_CARD (RES_EMP_ID)^
create index IDX_MM_MONICARD_ON_STRAPLAN on MM_MONITORING_CARD (STRATEGIC_PLAN_ID)^
create index IDX_MM_MONITCARD_ON_TURNOVER on MM_MONITORING_CARD (TURNOVER_ID)^
create index IDX_MM_MONICARD_ON_ATTRHOLD on MM_MONITORING_CARD (ATTR_HOLDER_ID)^
create index IDX_MM_MONICARD_ON_FINAPOSI on MM_MONITORING_CARD (FINANCIAL_POSITION_ID)^
-- end MM_MONITORING_CARD
-- begin MM_NO_MONITORING
create unique index IDX_MM_NO_MONITORING_UK_IDENT on MM_NO_MONITORING (IDENT, DELETE_TS) ^
-- end MM_NO_MONITORING
-- begin MM_CURATOR
create unique index IDX_MM_CURATOR_UK_XUSERSID on MM_CURATOR (XUSERSID, DELETE_TS) ^
-- end MM_CURATOR
-- begin MM_FILE
alter table MM_FILE add constraint FK_MM_FILE_ON_KIND foreign key (KIND_ID) references MM_FILE_KIND(ID)^
create index IDX_MM_FILE_ON_KIND on MM_FILE (KIND_ID)^
-- end MM_FILE

-- begin MM_RESP_EMPLOYEE
alter table MM_RESP_EMPLOYEE add constraint FK_MM_RESPEMPLO_ON_SUBDI foreign key (SUBDIVISION_ID) references MM_SUBDIVISION(ID)^
alter table MM_RESP_EMPLOYEE add constraint FK_MM_RESP_EMPLOYEE_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table MM_RESP_EMPLOYEE add constraint FK_MM_RESPEMPL_ON_MON_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
create index IDX_MM_RESPEMPLO_ON_SUBDI on MM_RESP_EMPLOYEE (SUBDIVISION_ID)^
create index IDX_MM_RESP_EMPLOYEE_ON_USER on MM_RESP_EMPLOYEE (USER_ID)^
create index IDX_MM_RESPEMPL_ON_MON_CARD on MM_RESP_EMPLOYEE (MON_CARD_ID)^
-- end MM_RESP_EMPLOYEE
-- begin MM_FACTOR
alter table MM_FACTOR add constraint FK_MM_FACTO_ON_PROBLEM_FACTOR foreign key (PROBLEM_FACTOR_ID) references MM_PROBLEM_FACTOR(ID)^
alter table MM_FACTOR add constraint FK_MM_FACTOR_ON_EXECUTOR foreign key (EXECUTOR_ID) references SEC_USER(ID)^
alter table MM_FACTOR add constraint FK_MM_FACTOR_ON_MON_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
alter table MM_FACTOR add constraint FK_MM_FACTOR_ON_PROBLEM foreign key (PROBLEMATTRIBUTEHOLDER_ID) references MM_PROBLEM_ATT_HOLDER(ID)^
alter table MM_FACTOR add constraint FK_MM_FACTOR_ON_SUBDIVISION foreign key (SUBDIVISION_ID) references MM_SUBDIVISION(ID)^
create index IDX_MM_FACTO_ON_PROBLFACTO on MM_FACTOR (PROBLEM_FACTOR_ID)^
create index IDX_MM_FACTOR_ON_EXECUTOR on MM_FACTOR (EXECUTOR_ID)^
create index IDX_MM_FACTOR_ON_MON_CARD on MM_FACTOR (MON_CARD_ID)^
create index IDX_MM_FACTOR_ON_PROBLE on MM_FACTOR (PROBLEMATTRIBUTEHOLDER_ID)^
create index IDX_MM_FACTOR_ON_SUBDIVISION on MM_FACTOR (SUBDIVISION_ID)^
-- end MM_FACTOR
--begin MM_DOCUMENT_FILE_LINK
alter table MM_DOCUMENT_FILE_LINK add constraint FK_LINK_ON_FILE foreign key (FILE_ID) references MM_FILE(ID)^
alter table MM_DOCUMENT_FILE_LINK add constraint FK_LINK_ON_FILE_DESCRIPTOR foreign key (FILE_DESCRIPTOR_ID) references SYS_FILE(ID)^
--end MM_DOCUMENT_FILE_LINK
-- begin MM_BANK
alter table MM_BANK add constraint FK_MM_BANK_ON_ID foreign key (ID) references MM_COUNTERPARTY(ID) on delete CASCADE^
-- end MM_BANK
-- begin MM_COUNTERPARTY
alter table MM_COUNTERPARTY add constraint FK_MM_COUNTERPARTY_ON_CURATOR foreign key (CURATOR_ID) references MM_CURATOR(ID)^
alter table MM_COUNTERPARTY add constraint FK_MM_COUNTERPARTY_ON_MANAGER foreign key (MANAGER_ID) references SEC_USER(ID)^
create index IDX_MM_COUNTE_ON_CURATOR on MM_COUNTERPARTY (CURATOR_ID)^
create index IDX_MM_COUNTE_ON_MANAGER on MM_COUNTERPARTY (MANAGER_ID)^
-- end MM_COUNTERPARTY
-- begin MM_JURIDICAL
alter table MM_JURIDICAL add constraint FK_MM_JURIDICAL_ON_ID foreign key (ID) references MM_COUNTERPARTY(ID) on delete CASCADE^
-- end MM_JURIDICAL

-- begin MM_LIMIT
alter table MM_LIMIT add constraint FK_MM_LIMIT_ON_CLIENT foreign key (CLIENT_ID) references MM_COUNTERPARTY(ID)^
create index IDX_MM_LIMIT_ON_CLIENT on MM_LIMIT (CLIENT_ID)^
-- end MM_LIMIT
-- begin MM_RELATION_WITH_LIMIT
alter table MM_RELATION_WITH_LIMIT add constraint FK_MM_RELAWITHLIMI_ON_LIMIT foreign key (LIMIT_ID) references MM_LIMIT(ID)^
alter table MM_RELATION_WITH_LIMIT add constraint FK_MM_RELWITLIM_ON_MON_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
create index IDX_MM_RELAWITHLIMI_ON_LIMIT on MM_RELATION_WITH_LIMIT (LIMIT_ID)^
create index IDX_MM_RELWITLIM_ON_MON_CARD on MM_RELATION_WITH_LIMIT (MON_CARD_ID)^
-- end MM_RELATION_WITH_LIMIT

-- begin MM_COVENANT
alter table MM_COVENANT add constraint FK_MM_COVEN_ON_TYPICCOVEN foreign key (TYPICAL_COVENANT_ID) references MM_TYPICALCOVENANT(ID)^
alter table MM_COVENANT add constraint FK_MM_COVEN_ON_CONTROL_SUBDIV foreign key (CONTROL_SUBDIV_ID) references MM_SUBDIVISION(ID)^
alter table MM_COVENANT add constraint FK_MM_COVENANT_ON_INFO_SUBDIV foreign key (INFO_SUBDIV_ID) references MM_SUBDIVISION(ID)^
alter table MM_COVENANT add constraint FK_MM_COVEN_ON_EXPERT_SUBDIV foreign key (EXPERT_SUBDIV_ID) references MM_SUBDIVISION(ID)^
create index IDX_MM_COVEN_ON_TYPICCOVEN on MM_COVENANT (TYPICAL_COVENANT_ID)^
create index IDX_MM_COVEN_ON_CONTRSUBDI on MM_COVENANT (CONTROL_SUBDIV_ID)^
create index IDX_MM_COVEN_ON_INFO_SUBDIV on MM_COVENANT (INFO_SUBDIV_ID)^
create index IDX_MM_COVEN_ON_EXPERT_SUBDIV on MM_COVENANT (EXPERT_SUBDIV_ID)^
-- end MM_COVENANT
-- begin MM_LIMIT_LGRAPH
alter table MM_LIMIT_LGRAPH add constraint FK_LIMLGR_ON_LIMIT foreign key (LIMIT_ID) references MM_LIMIT(ID)^
alter table MM_LIMIT_LGRAPH add constraint FK_LIMLGR_ON_LIMIT_GRAPH foreign key (LIMIT_GRAPH_ID) references MM_LIMIT_GRAPH(ID)^
-- end MM_LIMIT_LGRAPH
-- begin MM_PODLIMIT_COVENANT
alter table MM_PODLIMIT_COVENANT add constraint FK_PODCOV_ON_PODLIMIT foreign key (PODLIMIT_ID) references MM_PODLIMIT(ID)^
alter table MM_PODLIMIT_COVENANT add constraint FK_PODCOV_ON_COVENANT foreign key (COVENANT_ID) references MM_COVENANT(ID)^
-- end MM_PODLIMIT_COVENANT
-- begin MM_SUBLIMIT_LGRAPH
alter table MM_SUBLIMIT_LGRAPH add constraint FK_SUBLGR_ON_SUBLIMIT foreign key (SUBLIMIT_ID) references MM_SUBLIMIT(ID)^
alter table MM_SUBLIMIT_LGRAPH add constraint FK_SUBLGR_ON_LIMIT_GRAPH foreign key (SUBLIMIT_GRAPH_ID) references MM_LIMIT_GRAPH(ID)^
-- end MM_SUBLIMIT_LGRAPH
-- begin MM_LIMIT_COVENANT
alter table MM_LIMIT_COVENANT add constraint FK_LIMCOV_ON_LIMIT foreign key (LIMIT_ID) references MM_LIMIT(ID)^
alter table MM_LIMIT_COVENANT add constraint FK_LIMCOV_ON_COVENANT foreign key (COVENANT_ID) references MM_COVENANT(ID)^
-- end MM_LIMIT_COVENANT
-- begin MM_PODLIMIT_CLIENT
alter table MM_PODLIMIT_CLIENT add constraint FK_PODCLI_ON_PODLIMIT foreign key (PODLIMIT_ID) references MM_PODLIMIT(ID)^
alter table MM_PODLIMIT_CLIENT add constraint FK_PODCLI_ON_COUNTERPARTY foreign key (CLIENT_ID) references MM_COUNTERPARTY(ID)^
-- end MM_PODLIMIT_CLIENT
-- begin MM_PODLIMIT_LGRAPH
alter table MM_PODLIMIT_LGRAPH add constraint FK_PODLGR_ON_PODLIMIT foreign key (PODLIMIT_ID) references MM_PODLIMIT(ID)^
alter table MM_PODLIMIT_LGRAPH add constraint FK_PODLGR_ON_LIMIT_GRAPH foreign key (PODLIMIT_GRAPH_ID) references MM_LIMIT_GRAPH(ID)^
-- end MM_PODLIMIT_LGRAPH
-- begin MM_LIMIT_CLIENT
alter table MM_LIMIT_CLIENT add constraint FK_LIMCLI_ON_LIMIT foreign key (LIMIT_ID) references MM_LIMIT(ID)^
alter table MM_LIMIT_CLIENT add constraint FK_LIMCLI_ON_COUNTERPARTY foreign key (CLIENT_ID) references MM_COUNTERPARTY(ID)^
-- end MM_LIMIT_CLIENT
-- begin MM_COVENANT_MON_CARD
alter table MM_COVENANT_MON_CARD add constraint FK_MM_COVMONCAR_ON_MON_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
alter table MM_COVENANT_MON_CARD add constraint FK_MM_COVEMONCARD_ON_COVENANT foreign key (COVENANT_ID) references MM_COVENANT(ID)^
create index IDX_MM_COVMONCAR_ON_MON_CARD on MM_COVENANT_MON_CARD (MON_CARD_ID)^
create index IDX_MM_COVEMONCARD_ON_COVE on MM_COVENANT_MON_CARD (COVENANT_ID)^
-- end MM_COVENANT_MON_CARD

-- begin MM_ROLE_CLIENT
alter table MM_ROLE_CLIENT add constraint FK_MM_ROLE_CLIENT_ON_RELATION foreign key (RELATION_ID) references MM_RELATION_WITH_LIMIT(ID)^
create index IDX_MM_ROLECLIEN_ON_RELATION on MM_ROLE_CLIENT (RELATION_ID)^
-- end MM_ROLE_CLIENT
-- begin MM_SUBLIMIT_PODLIMIT
alter table MM_SUBLIMIT_PODLIMIT add constraint FK_SUBPOD_ON_SUBLIMIT foreign key (SUBLIMIT_ID) references MM_SUBLIMIT(ID)^
alter table MM_SUBLIMIT_PODLIMIT add constraint FK_SUBPOD_ON_PODLIMIT foreign key (PODLIMIT_ID) references MM_PODLIMIT(ID)^
-- end MM_SUBLIMIT_PODLIMIT
-- begin MM_LIMIT_SUBLIMIT
alter table MM_LIMIT_SUBLIMIT add constraint FK_LIMSUB_ON_LIMIT foreign key (LIMIT_ID) references MM_LIMIT(ID)^
alter table MM_LIMIT_SUBLIMIT add constraint FK_LIMSUB_ON_SUBLIMIT foreign key (SUBLIMIT_ID) references MM_SUBLIMIT(ID)^
-- end MM_LIMIT_SUBLIMIT
-- begin MM_MON_CARD_RESP_EMP
alter table MM_MON_CARD_RESP_EMP add constraint FK_MONCAR_ON_MONITORING_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
alter table MM_MON_CARD_RESP_EMP add constraint FK_MONCAR_ON_RESP_EMPLOYEE foreign key (RESP_EMP_ID) references MM_RESP_EMPLOYEE(ID)^
-- end MM_MON_CARD_RESP_EMP
-- begin MM_PF_EVENT_MON_FACTOR
alter table MM_PF_EVENT_MON_FACTOR add constraint FK_MM_PFEVEMONFAC_ON_EVENT foreign key (EVENT_ID) references MM_PROBLEM_FACTOR_EVENT(ID)^
alter table MM_PF_EVENT_MON_FACTOR add constraint FK_MM_PFEVEMONFAC_ON_MONFAC foreign key (MONITORING_FACTOR_ID) references MM_FACTOR(ID)^
alter table MM_PF_EVENT_MON_FACTOR add constraint FK_MM_PFEVEMONFAC_ON_ATTHOL foreign key (ATTR_HOLDER_ID) references MM_PROBLEM_ATT_HOLDER(ID)^
create index IDX_MM_PFEVEMONFAC_ON_EVENT on MM_PF_EVENT_MON_FACTOR (EVENT_ID)^
create index IDX_MM_PFEVMOFA_ON_MOFA on MM_PF_EVENT_MON_FACTOR (MONITORING_FACTOR_ID)^
create index IDX_MM_PFEVMOFA_ON_ATHO on MM_PF_EVENT_MON_FACTOR (ATTR_HOLDER_ID)^
-- end MM_PF_EVENT_MON_FACTOR

-- begin MM_PROBLEM_FACTOR_EVENT
alter table MM_PROBLEM_FACTOR_EVENT add constraint FK_MM_PROBFACTEVEN_ON_ID foreign key (ID) references MM_COMMON_ATTRIBUTES_EVENT(ID) on delete CASCADE^
-- end MM_PROBLEM_FACTOR_EVENT
-- begin MM_COVENANT_EVENT
alter table MM_COVENANT_EVENT add constraint FK_MM_COVENANT_EVENT_ON_ID foreign key (ID) references MM_COMMON_ATTRIBUTES_EVENT(ID) on delete CASCADE^
-- end MM_COVENANT_EVENT

-- begin MM_FINANCIAL_COVENANT_EVENT
alter table MM_FINANCIAL_COVENANT_EVENT add constraint FK_MM_FINACOVEEVEN_ON_ID foreign key (ID) references MM_COMMON_ATTRIBUTES_EVENT(ID) on delete CASCADE^
-- end MM_FINANCIAL_COVENANT_EVENT
-- begin MM_NON_FINANCIAL_COV_EVENT
alter table MM_NON_FINANCIAL_COV_EVENT add constraint FK_MM_NONFINCOVEVE_ON_ID foreign key (ID) references MM_COMMON_ATTRIBUTES_EVENT(ID) on delete CASCADE^
-- end MM_NON_FINANCIAL_COV_EVENT
-- begin MM_COVENANT_EVENT_MON_COV
alter table MM_COVENANT_EVENT_MON_COV add constraint FK_MM_COVEVEMONCOV_ON_COVEVE foreign key (COVENANT_EVENT_ID) references MM_COVENANT_EVENT(ID)^
alter table MM_COVENANT_EVENT_MON_COV add constraint FK_MM_COVEVEMONCOV_ON_COV foreign key (COVENANT_ID) references MM_COVENANT_MON_CARD(ID)^
create index IDX_MM_COEVMOCO_ON_COEV on MM_COVENANT_EVENT_MON_COV (COVENANT_EVENT_ID)^
create index IDX_MM_COVEVEMONCOV_ON_COV on MM_COVENANT_EVENT_MON_COV (COVENANT_ID)^
-- end MM_COVENANT_EVENT_MON_COV
-- begin MM_COMMON_ATTRIBUTES_EVENT
alter table MM_COMMON_ATTRIBUTES_EVENT add constraint FK_MM_COMATTEVE_ON_EVENT_TYPE foreign key (EVENT_TYPE_ID) references MM_EVENT_TYPE(ID)^
alter table MM_COMMON_ATTRIBUTES_EVENT add constraint FK_MM_COMATTEVE_ON_MONCAR foreign key (MONITORING_CARD_ID) references MM_MONITORING_CARD(ID)^
create index IDX_MM_COMATTEVE_ON_EVETYP on MM_COMMON_ATTRIBUTES_EVENT (EVENT_TYPE_ID)^
create index IDX_MM_COMATTEVE_ON_MONCAR on MM_COMMON_ATTRIBUTES_EVENT (MONITORING_CARD_ID)^
-- end MM_COMMON_ATTRIBUTES_EVENT
-- begin MM_COVENANT_CLIENTOFCOV
alter table MM_COVENANT_CLIENTOFCOV add constraint FK_COVCLI_ON_COVENANT foreign key (COVENANT_ID) references MM_COVENANT(ID)^
alter table MM_COVENANT_CLIENTOFCOV add constraint FK_COVCLI_ON_COUNTERPARTY foreign key (CLIENT_ID) references MM_COUNTERPARTY(ID)^
-- end MM_COVENANT_CLIENTOFCOV
-- begin MM_TASK_PROCESS
alter table MM_TASK_PROCESS add constraint FK_MM_TASK_PROCESS_ON_EVENT foreign key (EVENT_ID) references MM_COMMON_ATTRIBUTES_EVENT(ID)^
create index IDX_MM_TASK_PROCESS_ON_EVENT on MM_TASK_PROCESS (EVENT_ID)^
-- end MM_TASK_PROCESS
-- begin MM_TASK_INFO
alter table MM_TASK_INFO add constraint FK_MM_TASKINFO_ON_TASKPROC foreign key (TASK_PROCESS_ID) references MM_TASK_PROCESS(ID)^
alter table MM_TASK_INFO add constraint FK_MM_TASKINFO_ON_ASSIUSER foreign key (ASSIGNED_USER_ID) references SEC_USER(ID)^
create index IDX_MM_TASKINFO_ON_TASKPROC on MM_TASK_INFO (TASK_PROCESS_ID)^
create index IDX_MM_TASKINFO_ON_ASSIUSER on MM_TASK_INFO (ASSIGNED_USER_ID)^
-- end MM_TASK_INFO
-- begin MM_EVENT_TYPE
alter table MM_EVENT_TYPE add constraint FK_MM_EVENT_TYPE_ON_SETTINGS foreign key (SETTINGS_ID) references MM_EVENT_TYPE_SETTINGS(ID)^
create index IDX_MM_EVENT_TYPE_ON_SETTINGS on MM_EVENT_TYPE (SETTINGS_ID)^
-- end MM_EVENT_TYPE
-- begin MM_SETTINGS_CD
alter table MM_SETTINGS_CD add constraint FK_MM_SETTINGS_CD_ON_ID foreign key (ID) references MM_EVENT_TYPE_SETTINGS(ID) on delete CASCADE^
-- end MM_SETTINGS_CD
-- begin MM_SETTINGS_FK
alter table MM_SETTINGS_FK add constraint FK_MM_SETTINGS_FK_ON_ID foreign key (ID) references MM_EVENT_TYPE_SETTINGS(ID) on delete CASCADE^
-- end MM_SETTINGS_FK
-- begin MM_SETTINGS_FP
alter table MM_SETTINGS_FP add constraint FK_MM_SETTINGS_FP_ON_ID foreign key (ID) references MM_EVENT_TYPE_SETTINGS(ID) on delete CASCADE^
-- end MM_SETTINGS_FP
-- begin MM_SETTINGS_NFK
alter table MM_SETTINGS_NFK add constraint FK_MM_SETTINGS_NFK_ON_ID foreign key (ID) references MM_EVENT_TYPE_SETTINGS(ID) on delete CASCADE^
-- end MM_SETTINGS_NFK
-- begin MM_SETTINGS_FK_ITEM
alter table MM_SETTINGS_FK_ITEM add constraint FK_MM_SETTFKITEM_ON_SETTINGS foreign key (SETTINGS_ID) references MM_SETTINGS_FK(ID)^
alter table MM_SETTINGS_FK_ITEM add constraint FK_MM_SETTFKITEM_ON_COVENANT foreign key (COVENANT) references MM_TYPICALCOVENANT(ID)^
create index IDX_MM_SETTFKITEM_ON_SETTINGS on MM_SETTINGS_FK_ITEM (SETTINGS_ID)^
create index IDX_MM_SETTFKITEM_ON_COVENANT on MM_SETTINGS_FK_ITEM (COVENANT)^
-- end MM_SETTINGS_FK_ITEM
-- begin MM_SETTINGS_CD_ITEM
alter table MM_SETTINGS_CD_ITEM add constraint FK_MM_SETTCDITEM_ON_SETTINGS foreign key (SETTINGS_ID) references MM_SETTINGS_CD(ID)^
create index IDX_MM_SETTCDITEM_ON_SETTINGS on MM_SETTINGS_CD_ITEM (SETTINGS_ID)^
-- end MM_SETTINGS_CD_ITEM
-- begin MM_SETTINGS_NFK_ITEM
alter table MM_SETTINGS_NFK_ITEM add constraint FK_MM_SETTNFKITEM_ON_SETTINGS foreign key (SETTINGS_ID) references MM_SETTINGS_NFK(ID)^
alter table MM_SETTINGS_NFK_ITEM add constraint FK_MM_SETNFKITE_ON_PROFAC foreign key (PROBLEM_FACTOR_ID) references MM_TYPICALCOVENANT(ID)^
create index IDX_MM_SETTNFKITEM_ON_SETT on MM_SETTINGS_NFK_ITEM (SETTINGS_ID)^
create index IDX_MM_SETNFKITE_ON_PROFAC on MM_SETTINGS_NFK_ITEM (PROBLEM_FACTOR_ID)^
-- end MM_SETTINGS_NFK_ITEM
-- begin MM_SETTINGS_FP_ITEM
alter table MM_SETTINGS_FP_ITEM add constraint FK_MM_SETTFPITEM_ON_SETTINGS foreign key (SETTINGS_ID) references MM_SETTINGS_FP(ID)^
alter table MM_SETTINGS_FP_ITEM add constraint FK_MM_SETFPITE_ON_PROFAC foreign key (PROBLEM_FACTOR_ID) references MM_PROBLEM_FACTOR(ID)^
create index IDX_MM_SETTFPITEM_ON_SETTINGS on MM_SETTINGS_FP_ITEM (SETTINGS_ID)^
create index IDX_MM_SETFPITE_ON_PROFAC on MM_SETTINGS_FP_ITEM (PROBLEM_FACTOR_ID)^
-- end MM_SETTINGS_FP_ITEM
-- begin MM_SUBDIVISION
alter table MM_SUBDIVISION add constraint FK_MM_SUBDIVI_ON_SUBDIVISION foreign key (SUBDIVISION_ID) references SEC_GROUP(ID)^
alter table MM_SUBDIVISION add constraint FK_MM_SUBDIVISION_ON_MANAGER foreign key (MANAGER_ID) references SEC_USER(ID)^
alter table MM_SUBDIVISION add constraint FK_MM_SUBDIVISION_ON_LEADER foreign key (LEADER_ID) references SEC_USER(ID)^
create index IDX_MM_SUBDIV_ON_SUBDIVISION on MM_SUBDIVISION (SUBDIVISION_ID)^
create index IDX_MM_SUBDIVISION_ON_MANAGER on MM_SUBDIVISION (MANAGER_ID)^
create index IDX_MM_SUBDIVISION_ON_LEADER on MM_SUBDIVISION (LEADER_ID)^
-- end MM_SUBDIVISION
-- begin MM_EXECUTOR
alter table MM_EXECUTOR add constraint FK_MM_EXECUTOR_ON_ROLE foreign key (ROLE_ID) references SEC_ROLE(ID)^
alter table MM_EXECUTOR add constraint FK_MM_EXECUTOR_ON_USER foreign key (USER_ID) references SEC_USER(ID)^
alter table MM_EXECUTOR add constraint FK_MM_EXECUTOR_ON_GROUP foreign key (GROUP_ID) references SEC_GROUP(ID)^
alter table MM_EXECUTOR add constraint FK_MM_EXECUTOR_ON_EVENT foreign key (EVENT_ID) references MM_COMMON_ATTRIBUTES_EVENT(ID)^
create index IDX_MM_EXECUTOR_ON_ROLE on MM_EXECUTOR (ROLE_ID)^
create index IDX_MM_EXECUTOR_ON_USER on MM_EXECUTOR (USER_ID)^
create index IDX_MM_EXECUTOR_ON_GROUP on MM_EXECUTOR (GROUP_ID)^
create index IDX_MM_EXECUTOR_ON_EVENT on MM_EXECUTOR (EVENT_ID)^
-- end MM_EXECUTOR
-- begin MM_MONITORING_CARD_VERSION
alter table MM_MONITORING_CARD_VERSION add constraint FK_MM_MONCARVER_ON_ENTSNA foreign key (ENTITY_SNAPSHOT_ID) references SYS_ENTITY_SNAPSHOT(ID)^
alter table MM_MONITORING_CARD_VERSION add constraint FK_MM_MONCARVER_ON_MON_CARD foreign key (MON_CARD_ID) references MM_MONITORING_CARD(ID)^
create index IDX_MM_MONCARVER_ON_ENTSNA on MM_MONITORING_CARD_VERSION (ENTITY_SNAPSHOT_ID)^
create index IDX_MM_MONCARVER_ON_MON_CARD on MM_MONITORING_CARD_VERSION (MON_CARD_ID)^
-- end MM_MONITORING_CARD_VERSION
