package ru.mkb.corp.monmod.core;

import org.springframework.stereotype.Component;
import ru.mkb.siebelservice.crpallprognozwf.AddClient;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPAccount;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPAccountLinkIn17;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPAccountLinkIn17TopElmt;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPAccountLinkOut17;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPGetContactInfoIn112;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPGetContactInfoIn112TopElmt;

import javax.inject.Inject;

@Component(ClientInfoService.NAME)
public class ClientInfoService {
    public static final String NAME = "mm_ClientInfoService";

    @Inject
    SiebelService siebelService;

    public MKBCRPAccount getMKBCRPAccountByCrmCode(String crmCode) {
        MKBCRPAccountLinkIn17TopElmt request = new MKBCRPAccountLinkIn17TopElmt();
        MKBCRPAccountLinkIn17 value = new MKBCRPAccountLinkIn17();
        value.setSiebelID(crmCode);
        request.setMKBCRPAccountLinkIn17(value);
        return siebelService.getAffiliatesService().sblesc17(request).getMKBCRPAccount();
    }

    public String siebelIdClient(MKBCRPAccount mkbcrpAccount) {
        return mkbcrpAccount.getListOfMKBCRPAccountLinkOut17().getMKBCRPAccountLinkOut17()
                .stream()
                .map(MKBCRPAccountLinkOut17::getSiebelRowID)
                .findFirst()
                .orElse(null);
    }

    public AddClient getAddClient(String siebelId) {
        MKBCRPGetContactInfoIn112TopElmt request = new MKBCRPGetContactInfoIn112TopElmt();
        MKBCRPGetContactInfoIn112 value = new MKBCRPGetContactInfoIn112();
        value.setSiebelClientId(siebelId);
        request.setMKBCRPGetContactInfoIn112(value);
        return siebelService.getSpClientInfoService().sblesc112(request).getAddClient();
    }

    public String getSerial(MKBCRPAccountInPrognozIO131.Client client) {
       return getAddClient(siebelIdClient(getMKBCRPAccountByCrmCode(client.getSiebelID()))).getDocumentSerial();
    }

    public String getNumber(MKBCRPAccountInPrognozIO131.Client client) {
        return getAddClient(siebelIdClient(getMKBCRPAccountByCrmCode(client.getSiebelID()))).getDocumentNumber();
    }
}