package ru.mkb.corp.monmod.core;

import MKBCRPAccountInPrognozIO131.AddClientData;
import com.haulmont.cuba.core.global.DataManager;
import org.springframework.stereotype.Component;
import ru.mkb.corp.monmod.entity.counterparty.Bank;
import ru.mkb.corp.monmod.entity.counterparty.Client;
import ru.mkb.corp.monmod.entity.monitoring.ClientSegment;
import ru.mkb.corp.monmod.entity.monitoring.PvLevel;

import javax.inject.Inject;
import java.time.LocalDateTime;
import java.util.Optional;

@Component(CreateBank.NAME)
public class CreateBank extends ParameterClient implements CreateClient{
    public static final String NAME = "mm_CreateBank";

    @Inject
    private DataManager dataManager;


    @Override
    public Client create(AddClientData addClientData) {
        MKBCRPAccountInPrognozIO131.Client clientData = Optional.ofNullable(
                addClientData.getClient()).orElseThrow(() -> new IllegalArgumentException("Failed to get client"));
        Bank client = dataManager.load(Bank.class)
                .query("e.crmId = :crmCode")
                .parameter("crmCode", clientData.getSiebelID())
                .view("bank-view")
                .optional()
                .orElseGet(() -> dataManager.create(Bank.class));
        if (!needUpdate(client, addClientData)) {
            return client;
        }
        client.setAbsId(clientData.getClientcode());
        client.setCrmId(clientData.getSiebelID());
        client.setSiebelRowId(clientData.getSiebelRowID());
        client.setSiebelLastUpdateDate(LocalDateTime.now());
        client.setKpp(getKpp(clientData));
        client.setBik(getBik(clientData));
        client.setName(clientData.getBrief());
        client.setInn(clientData.getINN());
        client.setFullName(clientData.getName());
        client.setPvLevel(Optional.ofNullable(Integer.parseInt(clientData.getLevelAttention())).map(PvLevel::fromId).orElse(null));
        client.setSegment(Optional.ofNullable(clientData.getSegmenttid()).map(ClientSegment::fromCode).orElse(null));
        client.setCurator(getCurator(clientData));
        Client result = dataManager.commit(client);
        result.setHolding(getHolding(clientData));
        return dataManager.commit(client);
    }

    @Override
    public boolean isProcess(AddClientData addClientData) {
        if(addClientData.getClient().getCltype().equals("1") || addClientData.getClient().getCltype().equals("8")) {
            return true;
        } else return false;
    }
}
