package ru.mkb.corp.monmod.core;

import com.haulmont.cuba.security.app.Authenticated;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;
import ru.mkb.corp.monmod.service.rest.api.RestApiMonitoringCardService;
import ru.mkb.corp.monmod.service.rest.api.RestApiMonitoringCardServiceBean;
import ru.mkb.corp.monmod.service.rest.api.dto.LimitData;

import javax.inject.Inject;


@EnableRabbit
@Component(RabbitMQListener.NAME)
public class RabbitMQListener {
    public static final String NAME = "mm_RabbitMQListener";

    @Inject
    RestApiMonitoringCardService restApiMonitoringCardService;

    Logger logger = LoggerFactory.getLogger(RabbitMQListener.class);

    @Authenticated
    @RabbitListener(queues = "MODMON_LIMIT_IN", containerFactory = "containerFactory", messageConverter = "jsonMessageConverter")
    public void receive(LimitData limitData) {

        restApiMonitoringCardService.createByLimit(limitData);
        logger.info("Тело сообщения - {}", limitData);
    }
}