package ru.mkb.corp.monmod.service;

import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.LoadContext;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.covenant.CovenantMonCard;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;

import javax.inject.Inject;

@Service(CovEventMonService.NAME)
public class CovEventMonServiceBean implements CovEventMonService {

    @Inject
    private DataManager dataManager;

    @Override
    public void changeCov(CovenantEventMonitoringCovenant event) {
        LoadContext<CovenantMonCard> context = LoadContext.create(CovenantMonCard.class).
                setQuery(LoadContext.
                        createQuery("select e.covenantMonCard from mm_CovenantEventMonitoringCovenant e where e =:covenant").
                        setParameter("covenant", event));
        CovenantMonCard covenantMonCard = dataManager.load(context);
        covenantMonCard.setActualResult(event.getActualResult());
        covenantMonCard.setViolated(event.getViolated());
        dataManager.commit(covenantMonCard);
    }
}