package ru.mkb.corp.monmod.service;

import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.core.global.View;
import com.haulmont.cuba.core.global.ViewBuilder;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.event.ProblemFactorEventMonitoringFactor;
import ru.mkb.corp.monmod.entity.problemfactor.Factor;

import javax.inject.Inject;

@Service(FactorEventMonService.NAME)
public class FactorEventMonServiceBean implements FactorEventMonService {

    @Inject
    private DataManager dataManager;
    @Inject
    private Metadata metadata;


    @Override
    public void changeFactor(ProblemFactorEventMonitoringFactor event) {
        var factor = dataManager.load(Factor.class)
                .query("select e.monitoringFactor from mm_ProblemFactorEventMonitoringFactor e where e =:event")
                .parameter("event", event)
                .dynamicAttributes(true)
                .view("factor-view")
                .one();
        ProblemFactorEventMonitoringFactor reloadEvent = dataManager.reload(event,
                ViewBuilder.of(ProblemFactorEventMonitoringFactor.class).addView(View.LOCAL)
                        .add("problemAttributeHolder", View.LOCAL)
                        .build(),
                metadata.getClassNN(ProblemFactorEventMonitoringFactor.class),
                true);
        factor.setIsIdentified(reloadEvent.getDetected());
        factor.setDateOfdet(reloadEvent.getDetectedDate());
        if (reloadEvent.getProblemAttributeHolder().getDynamicAttributes() != null) {
            reloadEvent.getProblemAttributeHolder().getDynamicAttributes().forEach((s, categoryAttributeValue) -> {
                factor.getMonCard().getProblemAttributeHolder().setValue("+" + s, categoryAttributeValue.getValue());
                dataManager.commit(factor.getMonCard().getProblemAttributeHolder());
            });
        } else {
            throw new IllegalArgumentException("Не загружены динамические атрибуты");
        }
        dataManager.commit(factor, factor.getMonCard());
    }
}