package ru.mkb.corp.monmod.service;

import com.haulmont.cuba.core.TransactionalDataManager;
import com.haulmont.cuba.core.app.UniqueNumbersAPI;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.attribute.ProblemAttributeHolder;
import ru.mkb.corp.monmod.entity.directories.Subdivision;
import ru.mkb.corp.monmod.entity.directories.RespEmployee;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.List;

@Service(MonitoringCardService.NAME)
public class MonitoringCardServiceBean implements MonitoringCardService {

    @Inject
    UniqueNumbersAPI uniqueNumbersAPI;
    @Inject
    TransactionalDataManager dataManager;


    @Override
    public long getNextNumber() {
        return uniqueNumbersAPI.getNextNumber("MonitoringCard");
    }

    @Override
    public List<RespEmployee> getRespEmp() {
        List<RespEmployee> respEmployees = new ArrayList<>();
        List<Subdivision> subdivisions = dataManager.load(Subdivision.class)
                .query("select sd from mm_Subdivision sd")
                .view("subdivision-view")
                .list();
        for (Subdivision subdivision : subdivisions) {
            RespEmployee re = dataManager.create(RespEmployee.class);
            re.setSubdivision(subdivision);
            re.setName(subdivision.getName());
            re.setUser(subdivision.getManager());
            respEmployees.add(re);
            dataManager.save(re);
        }
        return respEmployees;
    }

    @Override
    public ProblemAttributeHolder getHolder() {
        return dataManager.create(ProblemAttributeHolder.class);
    }


}