package ru.mkb.corp.monmod.service;

import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.LoadContext;
import com.haulmont.cuba.security.entity.User;
import org.springframework.stereotype.Service;

import javax.inject.Inject;
import java.util.List;

@Service(ResEmployeeService.NAME)
public class ResEmployeeServiceBean implements ResEmployeeService {


    @Inject
    DataManager dataManager;

    @Override
    public List<User> getMonManager() {
        LoadContext<User> context = LoadContext.create(User.class).setQuery(
                LoadContext.createQuery("select distinct ur.user from sec$UserRole ur where ur.role.name = :roleName")
                        .setParameter("roleName", "manager-mon"));
        List<User> users = dataManager.loadList(context);
        return users;
    }

    @Override
    public List<User> getDraManager() {
        LoadContext<User> context = LoadContext.create(User.class).setQuery(
                LoadContext.createQuery("select distinct ur.user from sec$UserRole ur where ur.role.name = :roleName")
                        .setParameter("roleName", "manager-dra"));
        List<User> users = dataManager.loadList(context);
        return users;
    }

    @Override
    public List<User> getClientManager() {
        LoadContext<User> context = LoadContext.create(User.class).setQuery(
                LoadContext.createQuery("select distinct ur.user from sec$UserRole ur where ur.role.name = :roleName")
                        .setParameter("roleName", "manager-client"));
        List<User> users = dataManager.loadList(context);
        return users;
    }

    @Override
    public List<User> getVicePresident() {
        LoadContext<User> context = LoadContext.create(User.class).setQuery(
                LoadContext.createQuery("select distinct ur.user from sec$UserRole ur where ur.role.name = :roleName")
                        .setParameter("roleName", "vice-president"));
        List<User> users = dataManager.loadList(context);
        return users;
    }

}