package ru.mkb.corp.monmod.service.client;

import MKBCRPAccountInPrognozIO131.AddClientData;
import MKBCRPAccountInPrognozIO131.AddClientDataTopElmt;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.core.CreateClient;
import ru.mkb.corp.monmod.core.SiebelService;
import ru.mkb.corp.monmod.entity.counterparty.Client;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPHoldingLinksIn13;
import ru.mkb.siebelservice.crpallprognozwf.MKBCRPHoldingLinksIn13TopElmt;

import javax.inject.Inject;
import java.util.List;

@Service(CrmClientService.NAME)
@Slf4j
public class CrmClientServiceBean implements CrmClientService {


    @Inject
    private SiebelService siebelService;
    @Inject
    private List<CreateClient> createClients;

    @Override
    public Client getOrCreateByCrmCode(String crmCode) {

        return createClients
                .stream()
                .filter(createClient -> createClient.isProcess(getAddClientDataByCrmCode(crmCode)))
                .map(createClient -> createClient.create(getAddClientDataByCrmCode(crmCode)))
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException("Клиент не найден"));
    }


    private AddClientData getAddClientDataByCrmCode(String crmCode) {
        MKBCRPHoldingLinksIn13TopElmt request = new MKBCRPHoldingLinksIn13TopElmt();
        MKBCRPHoldingLinksIn13 value = new MKBCRPHoldingLinksIn13();
        value.setSiebelID(crmCode);
        request.setMKBCRPHoldingLinksIn13(value);
        AddClientDataTopElmt addClientDataTopElmt = siebelService.getClientInfoService().sblesc13(request);
        return addClientDataTopElmt.getAddClientData();
    }
}