package ru.mkb.corp.monmod.service.task;

import com.haulmont.addon.bproc.service.BprocRuntimeService;
import com.haulmont.cuba.core.global.AppBeans;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.security.entity.Group;
import com.haulmont.cuba.security.entity.User;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.directories.RespEmployee;
import ru.mkb.corp.monmod.entity.event.executor.Executor;
import ru.mkb.corp.monmod.entity.event.executor.ExecutorEnum;
import ru.mkb.corp.monmod.entity.process.task.TaskProcess;

import javax.inject.Inject;

@Service(CommonUserProviderService.NAME)
public class CommonUserProviderServiceBean implements CommonUserProviderService {

    @Inject
    private BprocRuntimeService bprocRuntimeService;

    @Override
    public User getUser(String executionId, ExecutorEnum executorEnum) {
        User user = null;
        TaskProcess taskProcess = (TaskProcess) bprocRuntimeService.getVariable(executionId, "taskProcess");
        DataManager dataManager = AppBeans.get(DataManager.class);
        taskProcess = dataManager.reload(taskProcess, "taskProcess-view");
        Group subdivision = taskProcess.getEvent().getExecutors()
                .stream()
                .filter(executor -> executor.getExecutor().equals(executorEnum))
                .map(Executor::getGroup)
                .findFirst()
                .orElse(null);
        if (subdivision != null) {
            user = taskProcess.getEvent().getMonitoringCard().getRespEmp()
                    .stream()
                    .filter(respEmployee -> respEmployee.getSubdivision().getSubdivision().getName().equals(subdivision.getName()))
                    .map(RespEmployee::getUser)
                    .findFirst()
                    .orElse(null);
        }
        return user;
    }
}