package ru.mkb.corp.monmod.service.task;

import com.haulmont.addon.bproc.entity.TaskData;
import com.haulmont.addon.bproc.service.BprocTaskService;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.UserSessionSource;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.process.task.TaskInfo;

import javax.inject.Inject;
import java.time.ZoneId;
import java.util.List;

@Service(TaskService.NAME)
public class TaskServiceBean implements TaskService {

    @Inject
    private DataManager dataManager;
    @Inject
    private BprocTaskService bprocTaskService;

    @Override
    public List<TaskData> getTaskDataList() {
        return  bprocTaskService.createTaskDataQuery()
                .active()
                .orderByTaskCreateTime()
                .desc()
                .list();
    }

    @Override
    public void checkExist() {
        List<TaskInfo> tasks = dataManager.load(TaskInfo.class)
                .query("e.taskEnd =:taskEnd")
                .parameter("taskEnd", false)
                .view("taskInfo-view")
                .list();
        if (!getTaskDataList().isEmpty()) {
            for (TaskInfo taskInfo : tasks) {
                if (getTaskDataList().stream().noneMatch(taskData -> taskData.getId().equals(taskInfo.getTaskId()))) {
                    dataManager.remove(taskInfo);
                }
            }
        } else {
            for (TaskInfo taskInfo : tasks) {
                dataManager.remove(taskInfo);
            }
        }
    }

}