package ru.mkb.corp.monmod.service.uls;

import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;
import ru.mkb.corp.monmod.config.uls.UlsConfig;
import ru.mkb.corp.monmod.service.model.uls.LimitComparisonDTO;

@Service(UlsService.NAME)
public class UlsServiceBean implements UlsService {
    private final RestTemplate restTemplate;
    private final UlsConfig ulsConfig;

    public UlsServiceBean(UlsConfig ulsConfig) {
        this.ulsConfig = ulsConfig;
        this.restTemplate = (new RestTemplateBuilder()).build();
    }

    private final HttpHeaders httpHeaders = new HttpHeaders();

    @Override
    public LimitComparisonDTO getUlsInfo(String crmCode) {

        ResponseEntity<LimitComparisonDTO> ulsInfo = restTemplate.exchange(
                ulsConfig.getUrl(),
                HttpMethod.GET,
                new HttpEntity<>(httpHeaders),
                LimitComparisonDTO.class,
                crmCode);

        return ulsInfo.getBody();
    }
}