package ru.mkb.corp.monmod.core;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.haulmont.cuba.core.global.AppBeans;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.testsupport.TestContainer;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.RegisterExtension;
import ru.mkb.corp.monmod.MonmodTestContainer;
import ru.mkb.corp.monmod.service.rest.api.RestApiMonitoringCardService;
import ru.mkb.corp.monmod.service.rest.api.dto.LimitData;

import static org.junit.jupiter.api.Assertions.*;
// See https://doc.cuba-platform.com/manual-7.2/integration_tests_mw.html

class RestApiMonitoringCardServiceTest {

    @RegisterExtension
    static TestContainer container = MonmodTestContainer.Common.INSTANCE;
    static DataManager dataManager;
    static ObjectMapper objectMapper;
    static RestApiMonitoringCardService restApiMonitoringCardService;

    @BeforeAll
    static void beforeAll() {
        dataManager = AppBeans.get(DataManager.class);
        objectMapper = AppBeans.get(ObjectMapper.class);
        restApiMonitoringCardService = AppBeans.get(RestApiMonitoringCardService.class);
    }

    @Test
    void myTestMethod() throws JsonProcessingException {
        final LimitData limitData = objectMapper.readValue("{\"limit\":{\"limitID\":\"1812581376\",\"client\":{\"clientCrmCode\":\"1185\",\"orgID\":\"1812581376\",\"organizationTypeIdent\":\"GROUP_OF_COMPANIES\",\"clientRole\":[\"CLIENT\"]},\"listOfLimitParticipants\":[{\"clientCrmCode\":\"321908\",\"orgID\":\"1620021305\",\"organizationTypeIdent\":\"ORGANISATION\",\"clientRole\":[\"BORROWER\"]}],\"sublimits\":[{\"sublimitID\":\"1812581381\",\"sublimitName\":\"Оборотные кредиты\",\"podlimits\":[{\"podlimitID\":\"1812581384\",\"podlimitParticipant\":[],\"podlimitGraphs\":[{\"amount\":60,\"startDate\":\"2018-03-01\",\"endDate\":\"2018-03-31\"}],\"covenants\":[]},{\"podlimitID\":\"1812581387\",\"podlimitParticipant\":[],\"podlimitGraphs\":[{\"amount\":40,\"startDate\":\"2018-03-01\",\"endDate\":\"2018-03-31\"}],\"covenants\":[]}],\"sublimitGraphs\":[{\"amount\":100,\"startDate\":\"2018-03-01\",\"endDate\":\"2018-03-31\"}]},{\"sublimitID\":\"1812581390\",\"sublimitName\":\"Документарные сделки\",\"podlimits\":[],\"sublimitGraphs\":[{\"amount\":100,\"startDate\":\"2018-03-01\",\"endDate\":\"2018-03-31\"}]}],\"limitGraphs\":[{\"amount\":100,\"startDate\":\"2018-03-01\",\"endDate\":\"2018-03-31\"}]},\"problemFactors\":[],\"covenants\":[]}", LimitData.class);
        restApiMonitoringCardService.createByLimit(limitData);
    }
}