package ru.mkb.corp.monmod.entity.attribute;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.Category;
import com.haulmont.cuba.core.entity.CategoryAttribute;
import com.haulmont.cuba.core.entity.annotation.Extends;
import com.haulmont.cuba.core.entity.annotation.PublishEntityChangedEvents;
import com.haulmont.cuba.core.global.DataManager;

import javax.annotation.PostConstruct;
import javax.persistence.Column;
import javax.persistence.Entity;


@Entity(name = "mm_ProblemAttribute")
@PublishEntityChangedEvents
@NamePattern("%s|name")
@Extends(CategoryAttribute.class)
public class ProblemAttribute extends CategoryAttribute {
    private static final long serialVersionUID = 4770107989106622294L;

    @Column(name = "TOOLTIP")
    private String tooltip;

    public String getTooltip() {
        return tooltip;
    }

    public void setTooltip(String tooltip) {
        this.tooltip = tooltip;
    }

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        this.setCategory(dataManager.load(Category.class).query("e.entityType = 'mm_ProblemAttHolder'").one());
    }
}