package ru.mkb.corp.monmod.entity.attribute;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.Categorized;
import com.haulmont.cuba.core.entity.Category;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDeleteInverse;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.DeletePolicy;
import ru.mkb.corp.monmod.entity.directories.ProblemFactor;

import javax.annotation.PostConstruct;
import javax.persistence.*;

@Table(name = "MM_PROBLEM_ATT_HOLDER")
@Entity(name = "mm_ProblemAttHolder")
@NamePattern("%s|factor")
public class ProblemAttributeHolder extends StandardEntity implements Categorized {
    private static final long serialVersionUID = -2622100067861852338L;

    @ManyToOne(fetch = FetchType.LAZY)
    @OnDeleteInverse(DeletePolicy.CASCADE)
    private ProblemFactor factor;


    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CATEGORY_ID")
    private Category category;

    public Category getCategory() {
        return category;
    }

    public void setCategory(Category category) {
        this.category = category;
    }

    public ProblemFactor getFactor() {
        return factor;
    }

    public void setFactor(ProblemFactor factor) {
        this.factor = factor;
    }

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        this.setCategory(dataManager.load(Category.class).query("e.entityType = 'mm_ProblemAttHolder'").one());
    }
}