package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import com.haulmont.cuba.security.entity.User;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.limit.Limit;
import ru.mkb.corp.monmod.entity.monitoring.PvLevel;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.time.LocalDateTime;
import java.util.List;

@Inheritance(strategy = InheritanceType.JOINED)
@DiscriminatorColumn(name = "TYPE", discriminatorType = DiscriminatorType.STRING)
@Table(name = "MM_COUNTERPARTY")
@Entity(name = "mm_Counterparty")
@DiscriminatorValue("COUNTERPARTY")
@NamePattern("%s|name")
@Getter
@Setter
public class Counterparty extends StandardEntity {
    private static final long serialVersionUID = 6268310222625069463L;

    @Column(name = "NAME")
    private String name;

    @Column(name = "CRM_ID")
    private String crmId;

    @Column(name = "ABS_ID")
    private String absId;

    @Column(name = "CRC_ID")
    private Integer crcId;

    @Column(name = "SIEBEL_ROW_ID")
    private String siebelRowId;

    @Column(name = "SIEBEL_LAST_UPDATE_DATE")
    private LocalDateTime siebelLastUpdateDate;

    @Column(name = "PV_LEVEL")
    private Integer pvLevel;

    @Column(name = "IN_DRA")
    private Boolean inDra;

    @JoinColumn(name = "CURATOR_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private Curator curator;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MANAGER_ID")
    private User manager;

    public PvLevel getPvLevel() {
        return pvLevel == null ? null : PvLevel.fromId(pvLevel);
    }

    public void setPvLevel(PvLevel pvLevel) {
        this.pvLevel = pvLevel == null ? null : pvLevel.getId();
    }

    @MetaProperty
    @Transient
    public String getHoldingName() {
        return "";
    }

    @MetaProperty
    public String getCpInn() {
        return "";
    }

    @MetaProperty
    public String getTypeName() {
        return "";
    }

}