package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_CURATOR")
@Entity(name = "mm_Curator")
@PrimaryKeyJoinColumn(name = "ID", referencedColumnName = "ID")
@NamePattern("%s|name")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Curator extends StandardEntity {
    private static final long serialVersionUID = 4782300795860600592L;

    @NotNull
    @Column(name = "NAME", length = 1024)
    private String name;

    @NotNull
    @Column(name = "XUSERSID", unique = true)
    private String xusersid;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getXusersid() {
        return xusersid;
    }

    public void setXusersid(String xusersid) {
        this.xusersid = xusersid;
    }
}