package ru.mkb.corp.monmod.entity.counterparty;

import com.haulmont.chile.core.annotations.NamePattern;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.time.LocalDate;

@Table(name = "MM_SP_CLIENT")
@PrimaryKeyJoinColumn(name = "ID")
@Entity(name = "mm_SpClient")
@DiscriminatorValue("ИП")
@NamePattern("%s|name")
public class SpClient extends Client {
    private static final long serialVersionUID = 2448790146299822046L;

    @Column(name = "SURNAME")
    private String surname;

    @Column(name = "PERSON_NAME")
    private String personName;

    @Column(name = "SECOND_NAME")
    private String secondName;

    @Column(name = "BIRTHDAY_")
    private LocalDate birth;

    @Column(name = "PASPORT_SERIE")
    private String serie;

    @Column(name = "PASPORT_NUMBER")
    private String number;

    @Override
    public String getTypeName() {
        return "Индивидуальный предприниматель";
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getSecondName() {
        return secondName;
    }

    public void setSecondName(String secondName) {
        this.secondName = secondName;
    }

    public LocalDate getBirth() {
        return birth;
    }

    public void setBirth(LocalDate birth) {
        this.birth = birth;
    }

    public String getSerie() {
        return serie;
    }

    public void setSerie(String serie) {
        this.serie = serie;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }
}