package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.FileDescriptor;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import com.haulmont.cuba.security.entity.User;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;
import ru.mkb.corp.monmod.entity.process.task.TaskProcess;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Table(name = "MM_FILE")
@Entity(name = "mm_File")
public class File extends StandardEntity {
    private static final long serialVersionUID = 845016141338610933L;

    @Column(name = "NAME")
    protected String name;

    @Column(name = "SIZE_")
    protected Long size;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "AUTHOR_ID")
    protected User author;

    @Column(name = "LAST_MOD_DATE")
    protected Date lastModDate;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "KIND_ID")
    protected FileKind fileKind;

    @Column(name = "COMMENT_")
    protected String comment;

    @JoinColumn(name = "FILE_DESCRIPTOR_ID")
    @OneToOne(fetch = FetchType.LAZY)
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private FileDescriptor fileDescriptor;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MONITORING_CARD_ID")
    private MonitoringCard monitoringCard;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "TASK_PROCESS_ID")
    private TaskProcess taskProcess;

    public TaskProcess getTaskProcess() {
        return taskProcess;
    }

    public void setTaskProcess(TaskProcess taskProcess) {
        this.taskProcess = taskProcess;
    }

    public FileDescriptor getFileDescriptor() {
        return fileDescriptor;
    }

    public void setFileDescriptor(FileDescriptor fileDescriptor) {
        this.fileDescriptor = fileDescriptor;
    }

    public MonitoringCard getMonitoringCard() {
        return monitoringCard;
    }

    public void setMonitoringCard(MonitoringCard monitoringCard) {
        this.monitoringCard = monitoringCard;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public FileKind getFileKind() {
        return fileKind;
    }

    public void setFileKind(FileKind fileKind) {
        this.fileKind = fileKind;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public User getAuthor() {
        return author;
    }

    public void setAuthor(User author) {
        this.author = author;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getLastModDate() {
        return lastModDate;
    }

    public void setLastModDate(Date lastModDate) {
        this.lastModDate = lastModDate;
    }


}