package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import ru.mkb.corp.monmod.entity.problemfactorattribute.ProblemFactorAttribute;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_PROBLEM_FACTOR")
@Entity(name = "mm_ProblemFactor")
@NamePattern("%s|name")
public class ProblemFactor extends StandardEntity {
    private static final long serialVersionUID = -6433565146366995391L;

    @NotNull
    @Column(name = "IDENT", nullable = false)
    private String ident;

    @NotNull
    @Column(name = "NAME", nullable = false)
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Lob
    @Column(name = "SCRIPT")
    private String script;

    public String getScript() {
        return script;
    }

    public void setScript(String script) {
        this.script = script;
    }

    public String getIdent() {
        return ident;
    }

    public void setIdent(String ident) {
        this.ident = ident;
    }

    @OneToMany(mappedBy = "factor")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    @NotNull
    private List<ProblemFactorAttribute> attributes = new ArrayList<>();

    public List<ProblemFactorAttribute> getAttributes() {
        return attributes;
    }

    public void setAttributes(List<ProblemFactorAttribute> attributes) {
        this.attributes = attributes;
    }
}