package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.security.entity.User;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "MM_RESP_EMPLOYEE")
@Entity(name = "mm_RespEmployee")
@NamePattern("%s|user")
public class RespEmployee extends StandardEntity {
    private static final long serialVersionUID = -8024461839661011241L;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "SUBDIVISION_ID")
    private Subdivision subdivision;

    @Column(name = "NAME")
    private String name;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "USER_ID")
    private User user;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MON_CARD_ID")
    private MonitoringCard monCard;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public MonitoringCard getMonCard() {
        return monCard;
    }

    public void setMonCard(MonitoringCard monCard) {
        this.monCard = monCard;
    }

    public void setSubdivision(Subdivision subdivision) {
        this.subdivision = subdivision;
    }

    public Subdivision getSubdivision() {
        return subdivision;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

}