package ru.mkb.corp.monmod.entity.directories;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.security.entity.Group;
import com.haulmont.cuba.security.entity.Role;
import com.haulmont.cuba.security.entity.User;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "MM_SUBDIVISION")
@Entity(name = "mm_Subdivision")
@NamePattern("%s|subdivision")
@Getter
@Setter
public class Subdivision extends StandardEntity {
    private static final long serialVersionUID = 1880031791652590772L;

    @Column(name = "NAME", length = 128)
    private String name;

    @Column(name = "FULL_NAME", length = 512)
    private String fullName;

    @Column(name = "IDENT", length = 64)
    private String ident;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "SUBDIVISION_ID")
    private Group subdivision;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MANAGER_ID")
    private User manager;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "LEADER_ID")
    private User leader;
}