package ru.mkb.corp.monmod.entity.event;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.entity.annotation.PublishEntityChangedEvents;
import com.haulmont.cuba.core.global.DeletePolicy;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Inheritance;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;

@PublishEntityChangedEvents
@Table(name = "MM_COVENANT_EVENT")
@Entity(name = "mm_CovenantEvent")
@Inheritance(strategy = javax.persistence.InheritanceType.JOINED)
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("COVENANT")
public class CovenantEvent extends CommonAttributesEvent {
    private static final long serialVersionUID = 7206647834133211238L;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToOne(fetch = FetchType.LAZY, mappedBy = "covenantEvent")
    private CovenantEventMonitoringCovenant covenant;

    @Column(name = "ACTUAL_RESULT")
    private String actualResult;

    @Column(name = "VIOLATED")
    private Boolean violated;

    public Boolean getViolated() {
        return violated;
    }

    public void setViolated(Boolean violated) {
        this.violated = violated;
    }

    public String getActualResult() {
        return actualResult;
    }

    public void setActualResult(String actualResult) {
        this.actualResult = actualResult;
    }

    public CovenantEventMonitoringCovenant getCovenant() {
        return covenant;
    }

    public void setCovenant(CovenantEventMonitoringCovenant covenant) {
        this.covenant = covenant;
    }
}