package ru.mkb.corp.monmod.entity.event;

import com.haulmont.cuba.core.entity.StandardEntity;
import ru.mkb.corp.monmod.entity.covenant.CovenantMonCard;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

@Table(name = "MM_COVENANT_EVENT_MON_COV")
@Entity(name = "mm_CovenantEventMonitoringCovenant")
public class CovenantEventMonitoringCovenant extends StandardEntity {
    private static final long serialVersionUID = 1440728338455936008L;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "COVENANT_EVENT_ID")
    private CovenantEvent covenantEvent;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "COVENANT_ID")
    private CovenantMonCard covenantMonCard;

    @Column(name = "PLANNED_RESULT")
    private String plannedResult;

    @Column(name = "ACTUAL_RESULT")
    private String actualResult;

    @Column(name = "VIOLATED")
    private Boolean violated;

    public CovenantMonCard getCovenantMonCard() {
        return covenantMonCard;
    }

    public void setCovenantMonCard(CovenantMonCard covenantMonCard) {
        this.covenantMonCard = covenantMonCard;
    }

    public CovenantEvent getCovenantEvent() {
        return covenantEvent;
    }

    public void setCovenantEvent(CovenantEvent covenantEvent) {
        this.covenantEvent = covenantEvent;
    }

    public String getPlannedResult() {
        return plannedResult;
    }

    public void setPlannedResult(String plannedResult) {
        this.plannedResult = plannedResult;
    }

    public String getActualResult() {
        return actualResult;
    }

    public void setActualResult(String actualResult) {
        this.actualResult = actualResult;
    }

    public Boolean getViolated() {
        return violated;
    }

    public void setViolated(Boolean violated) {
        this.violated = violated;
    }
}