package ru.mkb.corp.monmod.entity.event;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.BaseUuidEntity;
import ru.mkb.corp.monmod.entity.process.task.TaskInfo;

import javax.persistence.Transient;
import java.time.LocalDate;

@MetaClass(name = "mm_EventCalendar")
public class EventCalendar extends BaseUuidEntity {
    private static final long serialVersionUID = -8916303590066728179L;

    @MetaProperty
    private CommonAttributesEvent event;

    @MetaProperty
    private TaskInfo taskInfo;

    @MetaProperty
    @Transient
    public Boolean allDay;

    @MetaProperty
    @Transient
    public LocalDate endDate;

    @MetaProperty
    @Transient
    public LocalDate startDate;

    @MetaProperty
    @Transient
    public String description;

    @MetaProperty
    @Transient
    public String caption;

    @MetaProperty
    @Transient
    public String styleName;

    @MetaProperty
    @Transient
    public Boolean thisEvent;

    public Boolean getThisEvent() {
        return thisEvent;
    }

    public void setThisEvent(Boolean thisEvent) {
        this.thisEvent = thisEvent;
    }

    public CommonAttributesEvent getEvent() {
        return event;
    }

    public void setEvent(CommonAttributesEvent event) {
        this.event = event;
    }

    public TaskInfo getTaskInfo() {
        return taskInfo;
    }

    public void setTaskInfo(TaskInfo taskInfo) {
        this.taskInfo = taskInfo;
    }

    public Boolean getAllDay() {
        return allDay;
    }

    public void setAllDay(Boolean allDay) {
        this.allDay = allDay;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDate endDate) {
        this.endDate = endDate;
    }

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDate startDate) {
        this.startDate = startDate;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCaption() {
        return caption;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }

    public String getStyleName() {
        return styleName;
    }

    public void setStyleName(String styleName) {
        this.styleName = styleName;
    }
}