package ru.mkb.corp.monmod.entity.event;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.event.settings.EventTypeSettings;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "MM_EVENT_TYPE")
@Entity(name = "mm_EventType")
@Getter
@Setter
@NamePattern("%s|name")
public class EventType extends StandardEntity {
    private static final long serialVersionUID = 3909108406570048791L;

    @Column(name = "IDENT")
    private String ident;

    @Column(name = "NAME")
    private String name;

    @Column(name = "SHORT_NAME")
    private String shortName;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "SETTINGS_ID")
    private EventTypeSettings settings;

}