package ru.mkb.corp.monmod.entity.event;

import com.haulmont.cuba.core.global.DataManager;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import javax.annotation.PostConstruct;

@Table(name = "MM_FINANCIAL_COVENANT_EVENT")
@Entity(name = "mm_FinancialCovenantEvent")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("FINANCIAL_COVENANT")
public class FinancialCovenantEvent extends CovenantEvent {
    private static final long serialVersionUID = -5754223578629983801L;

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        EventType eventType = dataManager.load(EventType.class)
                .query("e.ident =:ident")
                .parameter("ident", "finK")
                .view("eventType-view")
                .one();
        setEventType(eventType);
    }
}