package ru.mkb.corp.monmod.entity.event;

import com.haulmont.cuba.core.global.DataManager;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import javax.annotation.PostConstruct;

@Table(name = "MM_NON_FINANCIAL_COV_EVENT")
@Entity(name = "mm_NonFinancialCovenantEvent")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("NON_FINANCIAL_COV")
public class NonFinancialCovenantEvent extends CovenantEvent {
    private static final long serialVersionUID = -5754223578629983801L;

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        EventType eventType = dataManager.load(EventType.class)
                .query("e.ident =:ident")
                .parameter("ident", "notFinK")
                .view("eventType-view")
                .one();
        setEventType(eventType);
    }
}