package ru.mkb.corp.monmod.entity.event;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.entity.annotation.PublishEntityChangedEvents;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.DeletePolicy;

import javax.annotation.PostConstruct;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.util.List;

@PublishEntityChangedEvents
@Table(name = "MM_PROBLEM_FACTOR_EVENT")
@Entity(name = "mm_ProblemFactorEvent")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("FACTOR")
public class ProblemFactorEvent extends CommonAttributesEvent {
    private static final long serialVersionUID = -1798323352248541378L;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToMany(mappedBy = "event")
    private List<ProblemFactorEventMonitoringFactor> factors;

    public List<ProblemFactorEventMonitoringFactor> getFactors() {
        return factors;
    }

    public void setFactors(List<ProblemFactorEventMonitoringFactor> factors) {
        this.factors = factors;
    }

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        EventType eventType = dataManager.load(EventType.class)
                .query("e.ident =:ident")
                .parameter("ident", "factProb")
                .view("eventType-view")
                .one();
        setEventType(eventType);
    }
}