package ru.mkb.corp.monmod.entity.event;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.DeletePolicy;
import ru.mkb.corp.monmod.entity.attribute.ProblemAttributeHolder;
import ru.mkb.corp.monmod.entity.problemfactor.Factor;

import javax.annotation.PostConstruct;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import java.time.LocalDate;
import java.util.HashMap;

@Table(name = "MM_PF_EVENT_MON_FACTOR")
@Entity(name = "mm_ProblemFactorEventMonitoringFactor")
public class ProblemFactorEventMonitoringFactor extends StandardEntity {
    private static final long serialVersionUID = 6762494134607772715L;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EVENT_ID")
    private ProblemFactorEvent event;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MONITORING_FACTOR_ID")
    private Factor monitoringFactor;

    @Column(name = "DETECTED")
    private Boolean detected;

    @Column(name = "DETECTED_DATE")
    private LocalDate detectedDate;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ATTR_HOLDER_ID")
    private ProblemAttributeHolder problemAttributeHolder;


    public Factor getMonitoringFactor() {
        return monitoringFactor;
    }

    public void setMonitoringFactor(Factor monitoringFactor) {
        this.monitoringFactor = monitoringFactor;
    }

    public ProblemFactorEvent getEvent() {
        return event;
    }

    public void setEvent(ProblemFactorEvent event) {
        this.event = event;
    }

    public Boolean getDetected() {
        return detected;
    }

    public void setDetected(Boolean detected) {
        this.detected = detected;
    }

    public LocalDate getDetectedDate() {
        return detectedDate;
    }

    public void setDetectedDate(LocalDate detectedDate) {
        this.detectedDate = detectedDate;
    }

    public ProblemAttributeHolder getProblemAttributeHolder() {
        return problemAttributeHolder;
    }

    public void setProblemAttributeHolder(ProblemAttributeHolder problemAttributeHolder) {
        this.problemAttributeHolder = problemAttributeHolder;
    }

    @PostConstruct
    public void postConstruct(DataManager dataManager) {
        problemAttributeHolder = dataManager.create(ProblemAttributeHolder.class);
        problemAttributeHolder.setDynamicAttributes(new HashMap<>());
    }
}