package ru.mkb.corp.monmod.entity.event.executor;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.security.entity.Group;
import com.haulmont.cuba.security.entity.Role;
import com.haulmont.cuba.security.entity.User;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.event.CommonAttributesEvent;
import ru.mkb.corp.monmod.entity.problemfactor.MonitoringPeriodicity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "MM_EXECUTOR")
@Entity(name = "mm_Executor")
@Getter
@Setter
public class Executor extends StandardEntity {
    private static final long serialVersionUID = 8075141998001774341L;

    @Column(name = "EXECUTOR")
    private String executor;

    @Column(name = "TYPE_EXECUTOR")
    private String typeExecutor;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ROLE_ID")
    private Role role;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "USER_ID")
    private User user;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "GROUP_ID")
    private Group group;


    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EVENT_ID")
    private CommonAttributesEvent event;

    public ExecutorEnum getExecutor() {
        return executor == null ? null : ExecutorEnum.fromId(executor);
    }

    public void setExecutor(ExecutorEnum executor) {
        this.executor = executor == null ? null : executor.getId();
    }
}