package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_SETTINGS_CD")
@Entity(name = "mm_SettingsCD")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("DOCUMENTS")
@Getter
@Setter
public class SettingsCD extends EventTypeSettings {
    private static final long serialVersionUID = -1639085406090263669L;

    @OneToMany(mappedBy = "settings")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<SettingsCDItem> items = new ArrayList<>();

    public List<SettingsCDItem> getItems() {
        return items;
    }

    public void setItems(List<SettingsCDItem> items) {
        this.items = items;
    }
}