package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_SETTINGS_FK")
@Entity(name = "mm_SettingsFK")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("FIN_COV")
@Getter
@Setter
public class SettingsFK extends EventTypeSettings {
    private static final long serialVersionUID = -391751678928796530L;

    @OneToMany(mappedBy = "settings")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<SettingsFKItem> items = new ArrayList<>();

    public List<SettingsFKItem> getItems() {
        return items;
    }

    public void setItems(List<SettingsFKItem> items) {
        this.items = items;
    }
}