package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_SETTINGS_FP")
@Entity(name = "mm_SettingsFP")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("PROBLEM_FACTOR")
@Getter
@Setter
public class SettingsFP extends EventTypeSettings {
    private static final long serialVersionUID = -8832996008513456140L;

    @OneToMany(mappedBy = "settings")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<SettingsFPItem> items = new ArrayList<>();

    public List<SettingsFPItem> getItems() {
        return items;
    }

    public void setItems(List<SettingsFPItem> items) {
        this.items = items;
    }
}