package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.cuba.core.entity.StandardEntity;
import ru.mkb.corp.monmod.entity.directories.ProblemFactor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_SETTINGS_FP_ITEM")
@Entity(name = "mm_SettingsFPItem")
public class SettingsFPItem extends StandardEntity {
    private static final long serialVersionUID = 1541405094593095517L;

    @JoinColumn(name = "SETTINGS_ID")
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @NotNull
    private SettingsFP settings;

    @JoinColumn(name = "PROBLEM_FACTOR_ID")
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @NotNull
    private ProblemFactor problemFactor;

    @NotNull
    @Column(name = "DAYS", nullable = false)
    private Integer days;

    public ProblemFactor getProblemFactor() {
        return problemFactor;
    }

    public void setProblemFactor(ProblemFactor problemFactor) {
        this.problemFactor = problemFactor;
    }

    public SettingsFP getSettings() {
        return settings;
    }

    public void setSettings(SettingsFP settings) {
        this.settings = settings;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }
}