package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_SETTINGS_NFK")
@Entity(name = "mm_SettingsNFK")
@PrimaryKeyJoinColumn(name = "ID")
@DiscriminatorValue("NON_FIN_COV")
@Getter
@Setter
public class SettingsNFK extends EventTypeSettings {
    private static final long serialVersionUID = 4649827559919403411L;

    @OneToMany(mappedBy = "settings")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<SettingsNFKItem> items = new ArrayList<>();

    public List<SettingsNFKItem> getItems() {
        return items;
    }

    public void setItems(List<SettingsNFKItem> items) {
        this.items = items;
    }
}