package ru.mkb.corp.monmod.entity.event.settings;

import com.haulmont.cuba.core.entity.StandardEntity;
import ru.mkb.corp.monmod.entity.directories.TypicalCovenant;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "MM_SETTINGS_NFK_ITEM")
@Entity(name = "mm_SettingsNFKItem")
public class SettingsNFKItem extends StandardEntity {
    private static final long serialVersionUID = 4441719687321762587L;

    @JoinColumn(name = "SETTINGS_ID")
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private SettingsNFK settings;

    @JoinColumn(name = "PROBLEM_FACTOR_ID")
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private TypicalCovenant covenant;

    @NotNull
    @Column(name = "DAYS", nullable = false)
    private Integer days;

    public TypicalCovenant getCovenant() {
        return covenant;
    }

    public void setCovenant(TypicalCovenant covenant) {
        this.covenant = covenant;
    }

    public SettingsNFK getSettings() {
        return settings;
    }

    public void setSettings(SettingsNFK settings) {
        this.settings = settings;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }
}