package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ClientType implements EnumClass<String> {

    CLIENT("CLIENT"),
    BORROWER("BORROWER"),
    PLEDGER("PLEDGER"),
    GUARANTOR("GUARANTOR"),
    BENEFICIARY("BENEFICIARY"),
    OTHER("OTHER");

    private String id;

    ClientType(String value) {
        this.id = value;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static ClientType fromId(String id) {
        for (ClientType at : ClientType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}