package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.covenant.Covenant;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_LIMIT")
@Entity(name = "mm_Limit")
@Getter
@Setter
@NamePattern("Лимит %s|client")
public class Limit extends StandardEntity {
    private static final long serialVersionUID = 2090327158010802660L;

    @Column(name = "LIMIT_ID")
    String limitID;

    @ManyToOne
    @JoinColumn(name = "CLIENT_ID")
    Counterparty client;

    @ManyToMany
    @JoinTable(name = "MM_LIMIT_SUBLIMIT",
            joinColumns = @JoinColumn(name = "LIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "SUBLIMIT_ID"))
    List<Sublimit> sublimits = new ArrayList<>();

    @ManyToMany
    @JoinTable(name = "MM_LIMIT_CLIENT",
            joinColumns = @JoinColumn(name = "LIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "CLIENT_ID"))
    List<Counterparty> clients = new ArrayList<>();

    @ManyToMany
    @JoinTable(name = "MM_LIMIT_LGRAPH",
            joinColumns = @JoinColumn(name = "LIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "LIMIT_GRAPH_ID"))
    List<LimitGraph> limitGraphs;

    @ManyToMany
    @JoinTable(name = "MM_LIMIT_COVENANT",
            joinColumns = @JoinColumn(name = "LIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "COVENANT_ID"))
    List<Covenant> covenants;

}