package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.covenant.Covenant;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_PODLIMIT")
@Entity(name = "mm_Podlimit")
@Getter
@Setter
public class Podlimit extends StandardEntity {
    private static final long serialVersionUID = -360799920406823046L;

    @Column(name = "PODLIMIT_ID")
    String podlimitID;

    @ManyToMany
    @JoinTable(name = "MM_PODLIMIT_CLIENT",
            joinColumns = @JoinColumn(name = "PODLIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "CLIENT_ID"))
    List<Counterparty> clients = new ArrayList<>();

    @ManyToMany
    @JoinTable(name = "MM_PODLIMIT_LGRAPH",
            joinColumns = @JoinColumn(name = "PODLIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "PODLIMIT_GRAPH_ID"))
    List<LimitGraph> podlimitGraphs;

    @ManyToMany
    @JoinTable(name = "MM_PODLIMIT_COVENANT",
            joinColumns = @JoinColumn(name = "PODLIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "COVENANT_ID"))
    List<Covenant> covenants;

}