package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.List;

@Table(name = "MM_RELATION_WITH_LIMIT")
@Entity(name = "mm_RelationWithLimit")
@Getter
@Setter
public class RelationWithLimit extends StandardEntity {
    private static final long serialVersionUID = 1570863996150394787L;

    @ManyToOne
    @JoinColumn(name = "LIMIT_ID")
    Limit limit;

    @ManyToOne
    @JoinColumn(name = "MON_CARD_ID")
    MonitoringCard monCard;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToMany(mappedBy = "relation")
    List<RoleClient> clientRoles;
}