package ru.mkb.corp.monmod.entity.limit;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_SUBLIMIT")
@Entity(name = "mm_Sublimit")
@Getter
@Setter
public class Sublimit extends StandardEntity {
    private static final long serialVersionUID = 7652997495760975800L;

    @Column(name = "SUBLIMIT_ID")
    String sublimitID;

    @Column(name = "SUBLIMIT_NAME")
    String sublimitName;


    @Column(name = "AMOUNT_FOR_CLIENT")
    BigDecimal amountForClient;


    @ManyToMany
    @JoinTable(name = "MM_SUBLIMIT_PODLIMIT",
            joinColumns = @JoinColumn(name = "SUBLIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "PODLIMIT_ID"))
    List<Podlimit> podlimits = new ArrayList<>();

    @ManyToMany
    @JoinTable(name = "MM_SUBLIMIT_LGRAPH",
            joinColumns = @JoinColumn(name = "SUBLIMIT_ID"),
            inverseJoinColumns = @JoinColumn(name = "SUBLIMIT_GRAPH_ID"))
    List<LimitGraph> sublimitGraphs;
}