package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum ClientSegment implements EnumClass<String> {

    LARGE("LARGE", "2_1"),
    MIDDLE("MIDDLE", "1_3"),
    SMALL("SMALL", "1_2"),
    MICRO("MICRO", "1_1"),
    LARGEST("LARGEST", "2_2"),
    FINANCIAL_COMPANIES("FINANCIAL_COMPANIES", "8_1");

    private final String id;
    private final String code;

    ClientSegment(String value, String code) {
        this.id = value;
        this.code = code;
    }

    @Override
    public String getId() {
        return id;
    }

    public String getCode() {
        return code;
    }

    @Nullable
    public static ClientSegment fromId(String id) {
        for (ClientSegment at : ClientSegment.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }

    @Nullable
    public static ClientSegment fromCode(String id) {
        for (ClientSegment at : ClientSegment.values()) {
            if (at.getCode().equals(id)) {
                return at;
            }
        }
        return null;
    }
}