package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.time.LocalDate;

@Table(name = "MM_FINANCIAL_POSITION")
@Entity(name = "mm_FinancialPosition")
public class FinancialPosition extends StandardEntity {
    private static final long serialVersionUID = -1979858587692277552L;

    @Column(name = "DATE_EXPERT_INDICATORS")
    private LocalDate dateExpertIndicators;

    @Column(name = "REVENUE_LAST_QUARTER")
    private BigDecimal revenueLastQuarter;

    @Column(name = "REVENUE_APPG")
    private BigDecimal revenueAPPG;

    @Column(name = "REVENUE_LTM")
    private BigDecimal revenueLTM;

    @Column(name = "DYNAMICS_OF_REVENUE_APPG")
    private BigDecimal dynamicsOfRevenueAPPG;

    @Column(name = "QUARTER_BALANCE_DIFFERENCES")
    private BigDecimal quarterBalanceDifferences;

    @Column(name = "QUARTER_REVENUE")
    private BigDecimal quarterRevenue;

    @Column(name = "AMOUNT_OF_ANALYTIC_CAPITAL")
    private BigDecimal amountOfAnalyticCapital;

    @Column(name = "BALANCE_CURRENCY")
    private BigDecimal balanceCurrency;

    @Column(name = "LAST_QUARTER_EBITDAR")
    private BigDecimal lastQuarterEBITDAR;

    @Column(name = "VALUE_EBITDAR_LTM")
    private BigDecimal valueEBITDARLTM;

    @Column(name = "AMOUNT_PERCENT_AND_LEASE_PAY")
    private BigDecimal amountPercentAndLeasePay;

    @Column(name = "LOSSES_FOR_LAST_TWO_QUARTER")
    private BigDecimal lossesForLastTwoQuarter;

    @Column(name = "ATYPICAL_CHANGES_IN_REPORTING")
    private String atypicalChangesInReporting;

    @Column(name = "SHARE_OF_ANALYT_CAPITAL")
    private BigDecimal shareOfAnalytCapital;

    @Column(name = "FORCED_PROLONGATION")
    private Boolean forcedProlongation;

    @Column(name = "LAST_DATE_CHOK")
    private BigDecimal lastDateCHOK;

    @Column(name = "IN_APPG_CHOK")
    private BigDecimal inAPPGCHOK;

    @Column(name = "CHANGE_CHOK_BY_APPG")
    private BigDecimal changeCHOKByAPPG;

    @Column(name = "ANALYTICAL_CURRENT_LIQ_RATIO")
    private BigDecimal analyticalCurrentLiqRatio;


    @Column(name = "NON_ANALYTICAL_CUR_LIQ_RATIO")
    private BigDecimal nonAnalyticalCurLiqRatio;


    @Column(name = "ANALYTICAL_OPERATING_CYCLE")
    private BigDecimal analyticalOperatingCycle;


    @Column(name = "NON_ANALYTICAL_OPERAT_CYCLE")
    private BigDecimal nonAnalyticalOperatCycle;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public LocalDate getDateExpertIndicators() {
        return dateExpertIndicators;
    }

    public void setDateExpertIndicators(LocalDate dateExpertIndicators) {
        this.dateExpertIndicators = dateExpertIndicators;
    }

    public BigDecimal getRevenueLastQuarter() {
        return revenueLastQuarter;
    }

    public void setRevenueLastQuarter(BigDecimal revenueLastQuarter) {
        this.revenueLastQuarter = revenueLastQuarter;
    }

    public BigDecimal getRevenueAPPG() {
        return revenueAPPG;
    }

    public void setRevenueAPPG(BigDecimal revenueAPPG) {
        this.revenueAPPG = revenueAPPG;
    }

    public BigDecimal getRevenueLTM() {
        return revenueLTM;
    }

    public void setRevenueLTM(BigDecimal revenueLTM) {
        this.revenueLTM = revenueLTM;
    }

    public BigDecimal getDynamicsOfRevenueAPPG() {
        return dynamicsOfRevenueAPPG;
    }

    public void setDynamicsOfRevenueAPPG(BigDecimal dynamicsOfRevenueAPPG) {
        this.dynamicsOfRevenueAPPG = dynamicsOfRevenueAPPG;
    }

    public BigDecimal getQuarterBalanceDifferences() {
        return quarterBalanceDifferences;
    }

    public void setQuarterBalanceDifferences(BigDecimal quarterBalanceDifferences) {
        this.quarterBalanceDifferences = quarterBalanceDifferences;
    }

    public BigDecimal getQuarterRevenue() {
        return quarterRevenue;
    }

    public void setQuarterRevenue(BigDecimal quarterRevenue) {
        this.quarterRevenue = quarterRevenue;
    }

    public BigDecimal getAmountOfAnalyticCapital() {
        return amountOfAnalyticCapital;
    }

    public void setAmountOfAnalyticCapital(BigDecimal amountOfAnalyticCapital) {
        this.amountOfAnalyticCapital = amountOfAnalyticCapital;
    }

    public BigDecimal getBalanceCurrency() {
        return balanceCurrency;
    }

    public void setBalanceCurrency(BigDecimal balanceCurrency) {
        this.balanceCurrency = balanceCurrency;
    }

    public BigDecimal getLastQuarterEBITDAR() {
        return lastQuarterEBITDAR;
    }

    public void setLastQuarterEBITDAR(BigDecimal lastQuarterEBITDAR) {
        this.lastQuarterEBITDAR = lastQuarterEBITDAR;
    }

    public BigDecimal getValueEBITDARLTM() {
        return valueEBITDARLTM;
    }

    public void setValueEBITDARLTM(BigDecimal valueEBITDARLTM) {
        this.valueEBITDARLTM = valueEBITDARLTM;
    }

    public BigDecimal getAmountPercentAndLeasePay() {
        return amountPercentAndLeasePay;
    }

    public void setAmountPercentAndLeasePay(BigDecimal amountPercentAndLeasePay) {
        this.amountPercentAndLeasePay = amountPercentAndLeasePay;
    }

    public BigDecimal getLossesForLastTwoQuarter() {
        return lossesForLastTwoQuarter;
    }

    public void setLossesForLastTwoQuarter(BigDecimal lossesForLastTwoQuarter) {
        this.lossesForLastTwoQuarter = lossesForLastTwoQuarter;
    }

    public String getAtypicalChangesInReporting() {
        return atypicalChangesInReporting;
    }

    public void setAtypicalChangesInReporting(String atypicalChangesInReporting) {
        this.atypicalChangesInReporting = atypicalChangesInReporting;
    }

    public BigDecimal getShareOfAnalytCapital() {
        return shareOfAnalytCapital;
    }

    public void setShareOfAnalytCapital(BigDecimal shareOfAnalytCapital) {
        this.shareOfAnalytCapital = shareOfAnalytCapital;
    }

    public Boolean getForcedProlongation() {
        return forcedProlongation;
    }

    public void setForcedProlongation(Boolean forcedProlongation) {
        this.forcedProlongation = forcedProlongation;
    }

    public BigDecimal getLastDateCHOK() {
        return lastDateCHOK;
    }

    public void setLastDateCHOK(BigDecimal lastDateCHOK) {
        this.lastDateCHOK = lastDateCHOK;
    }

    public BigDecimal getInAPPGCHOK() {
        return inAPPGCHOK;
    }

    public void setInAPPGCHOK(BigDecimal inAPPGCHOK) {
        this.inAPPGCHOK = inAPPGCHOK;
    }

    public BigDecimal getChangeCHOKByAPPG() {
        return changeCHOKByAPPG;
    }

    public void setChangeCHOKByAPPG(BigDecimal changeCHOKByAPPG) {
        this.changeCHOKByAPPG = changeCHOKByAPPG;
    }

    public BigDecimal getAnalyticalCurrentLiqRatio() {
        return analyticalCurrentLiqRatio;
    }

    public void setAnalyticalCurrentLiqRatio(BigDecimal analyticalCurrentLiqRatio) {
        this.analyticalCurrentLiqRatio = analyticalCurrentLiqRatio;
    }

    public BigDecimal getNonAnalyticalCurLiqRatio() {
        return nonAnalyticalCurLiqRatio;
    }

    public void setNonAnalyticalCurLiqRatio(BigDecimal nonAnalyticalCurLiqRatio) {
        this.nonAnalyticalCurLiqRatio = nonAnalyticalCurLiqRatio;
    }

    public BigDecimal getAnalyticalOperatingCycle() {
        return analyticalOperatingCycle;
    }

    public void setAnalyticalOperatingCycle(BigDecimal analyticalOperatingCycle) {
        this.analyticalOperatingCycle = analyticalOperatingCycle;
    }

    public BigDecimal getNonAnalyticalOperatCycle() {
        return nonAnalyticalOperatCycle;
    }

    public void setNonAnalyticalOperatCycle(BigDecimal nonAnalyticalOperatCycle) {
        this.nonAnalyticalOperatCycle = nonAnalyticalOperatCycle;
    }
}
