package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.EntitySnapshot;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Table(name = "MM_MONITORING_CARD_VERSION")
@Entity(name = "mm_MonitoringCardVersion")
@Getter
@Setter
public class MonitoringCardVersion extends StandardEntity {
    private static final long serialVersionUID = -7822498507209933860L;

    @Column(name = "NAME")
    private String name;

    @Column(name = "SHORT_NAME")
    private String shortName;

    @JoinColumn(name = "ENTITY_SNAPSHOT_ID")
    @OneToOne(fetch = FetchType.LAZY)
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private EntitySnapshot snapshot;

    @Column(name = "APPROVED")
    private Boolean approved;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MON_CARD_ID")
    private MonitoringCard monCard;

    @Column(name = "CREATE_DATE")
    private LocalDate createDate;
}