package ru.mkb.corp.monmod.entity.monitoring;

import com.haulmont.chile.core.datatypes.impl.EnumClass;

import javax.annotation.Nullable;


public enum PvLevel implements EnumClass<Integer> {

    NONE(0, ClientClass.STANDARD),
    ONE(1, ClientClass.UNDERCONTROL),
    TWO(2, ClientClass.RESTRUCTURING),
    THREE(3, ClientClass.PUNISHMENT),
    FOUR(4, ClientClass.WRITEOFF);

    private Integer id;

    private ClientClass clientClass;

    PvLevel(Integer value, ClientClass clientClass) {
        this.id = value;
        this.clientClass = clientClass;
    }

    public Integer getId() {
        return id;
    }

    public ClientClass getClientClass() {
        return clientClass;
    }

    public void setClientClass(ClientClass clientClass) {
        this.clientClass = clientClass;
    }

    @Nullable
    public static PvLevel fromId(Integer id) {
        for (PvLevel at : PvLevel.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }

}