package ru.mkb.corp.monmod.entity.problemfactor;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.cuba.core.entity.EmbeddableEntity;
import com.haulmont.cuba.core.entity.StandardEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Entity;
import java.util.Objects;

@MetaClass(name = "mm_MonitoringGraph")
@Embeddable
@Getter
@Setter
public class MonitoringGraph extends EmbeddableEntity {
    private static final long serialVersionUID = 787131249907486714L;

    @Column(name = "MON_PERIOD")
    private String monPeriod;

    @Column(name = "NUM_OF_MON")
    private Integer numOfMon;

    public MonitoringPeriodicity getMonPeriod() {
        return monPeriod == null ? null : MonitoringPeriodicity.fromId(monPeriod);
    }

    public void setMonPeriod(MonitoringPeriodicity monPeriod) {
        this.monPeriod = monPeriod == null ? null : monPeriod.getId();
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        MonitoringGraph that = (MonitoringGraph) o;
        return Objects.equals(monPeriod, that.monPeriod) && Objects.equals(numOfMon, that.numOfMon);
    }

    @Override
    public int hashCode() {
        return Objects.hash(monPeriod, numOfMon);
    }
}