package ru.mkb.corp.monmod.entity.problemfactorattribute;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import ru.mkb.corp.monmod.entity.attribute.ProblemAttribute;
import ru.mkb.corp.monmod.entity.directories.ProblemFactor;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

@Table(name = "MM_PROBLEM_FACTOR_ATTRIBUTE")
@Entity(name = "mm_ProblemFactorAttribute")
@NamePattern("%s|factor")
public class ProblemFactorAttribute extends StandardEntity {
    private static final long serialVersionUID = -6751908751531141906L;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn
    private ProblemAttribute attribute;

    @OnDelete(DeletePolicy.CASCADE)
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn
    private ProblemFactor factor;

    @Column(name = "IS_REQUIRED")
    private Boolean isRequired;

    @Column(name = "ORD")
    @NotNull
    private Integer ord;

    public ProblemAttribute getAttribute() {
        return attribute;
    }

    public void setAttribute(ProblemAttribute attribute) {
        this.attribute = attribute;
    }

    public ProblemFactor getFactor() {
        return factor;
    }

    public void setFactor(ProblemFactor factor) {
        this.factor = factor;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean required) {
        isRequired = required;
    }

    public Integer getOrd() {
        return ord;
    }

    public void setOrd(Integer ord) {
        this.ord = ord;
    }
}