package ru.mkb.corp.monmod.entity.process.task;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.security.entity.User;
import lombok.Getter;
import lombok.Setter;
import ru.mkb.corp.monmod.entity.monitoring.CreditRating;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import java.time.LocalDateTime;

@Table(name = "MM_TASK_INFO")
@Entity(name = "mm_TaskInfo")
@Getter
@Setter
public class TaskInfo extends StandardEntity {
    private static final long serialVersionUID = 8049716968060434152L;

    @Column(name = "TASK_ID")
    private String taskId;

    @Column(name = "NAME")
    private String name;

    @Column(name = "TEXT_TASK")
    private String textTask;

    @Column(name = "TASK_RESULT")
    private String taskResult;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "TASK_PROCESS_ID")
    private TaskProcess taskProcess;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ASSIGNED_USER_ID")
    private User assignedUser;

    @Lob
    @Column(name = "COMMENT_")
    private String comment;

    @Column(name = "TASK_END")
    private Boolean taskEnd;

    @Column(name = "CREATE_DATE")
    private LocalDateTime createDate;

    @Column(name = "END_DATE")
    private LocalDateTime endDate;

    public TaskResult getTaskResult() {
        return taskResult == null ? null : TaskResult.fromId(taskResult);
    }

    public void setTaskResult(TaskResult taskResult) {
        this.taskResult = taskResult == null ? null : taskResult.getId();
    }

}