package ru.mkb.corp.monmod.entity.process.task;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;
import ru.mkb.corp.monmod.entity.directories.File;
import ru.mkb.corp.monmod.entity.event.CommonAttributesEvent;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "MM_TASK_PROCESS")
@Entity(name = "mm_TaskProcess")
public class TaskProcess extends StandardEntity {
    private static final long serialVersionUID = 1391344603751066161L;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EVENT_ID")
    CommonAttributesEvent event;

    @OneToMany(mappedBy = "taskProcess")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<File> files;


    @OneToMany(mappedBy = "taskProcess")
    @OnDelete(DeletePolicy.CASCADE)
    @Composition
    private List<TaskInfo> taskInfos = new ArrayList<>();

    public List<TaskInfo> getTaskInfos() {
        return taskInfos;
    }

    public void setTaskInfos(List<TaskInfo> taskInfos) {
        this.taskInfos = taskInfos;
    }

    public CommonAttributesEvent getEvent() {
        return event;
    }

    public void setEvent(CommonAttributesEvent event) {
        this.event = event;
    }

    public List<File> getFiles() {
        return files;
    }

    public void setFiles(List<File> files) {
        this.files = files;
    }
}