package ru.mkb.corp.monmod.service;

import com.haulmont.cuba.core.entity.FileDescriptor;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.security.entity.User;
import org.springframework.stereotype.Service;
import ru.mkb.corp.monmod.entity.directories.File;
import ru.mkb.corp.monmod.entity.directories.FileKind;

import javax.inject.Inject;
import java.util.List;
import java.util.stream.Collectors;

@Service(FileService.NAME)
public class FileServiceBean implements FileService {
    @Inject
    protected DataManager dataManager;

    @Override
    public List<FileKind> getFileKinds() {
        return dataManager.load(FileKind.class).list();
    }

    @Override
    public List<File> uploadFiles(List<FileDescriptor> fdList, User author, FileKind fileKind, String note) {
        return fdList.stream().map(fd -> {
            File file = dataManager.create(File.class);
            file.setAuthor(author);
            file.setComment(note);
            file.setSize(fd.getSize());
            file.setFileDescriptor(fd);
            file.setName(fd.getName());
            file.setFileKind(fileKind);
            return dataManager.commit(file);
        }).collect(Collectors.toList());
    }
}

