package ru.mkb.corp.monmod.web.screens.commonattributesevent;

import com.haulmont.cuba.gui.ScreenBuilders;
import com.haulmont.cuba.gui.components.Action;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.Install;
import com.haulmont.cuba.gui.screen.LoadDataBeforeShow;
import com.haulmont.cuba.gui.screen.OpenMode;
import com.haulmont.cuba.gui.screen.ScreenFragment;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.event.CommonAttributesEvent;
import ru.mkb.corp.monmod.entity.event.FinancialCovenantEvent;
import ru.mkb.corp.monmod.entity.event.NonFinancialCovenantEvent;
import ru.mkb.corp.monmod.entity.event.ProblemFactorEvent;
import ru.mkb.corp.monmod.entity.limit.RelationWithLimit;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;

import javax.inject.Inject;
import java.time.LocalDate;
import java.util.Optional;

@UiController("mm_CommonAttributesEventFragment")
@UiDescriptor("common-attributes-event-fragment.xml")
public class CommonAttributesEventFragment extends ScreenFragment {

    @Inject
    private GroupTable<CommonAttributesEvent> commonAttributesEventTable;
    @Inject
    private ScreenBuilders screenBuilders;

    @Subscribe("commonAttributesEventTable.view")
    public void onCommonAttributesEventTableView(Action.ActionPerformedEvent event) {

        CommonAttributesEvent commonAttributesEvent = commonAttributesEventTable.getSingleSelected();

        if (commonAttributesEvent instanceof FinancialCovenantEvent) {
            screenBuilders.editor(FinancialCovenantEvent.class, this)
                    .withOpenMode(OpenMode.DIALOG)
                    .editEntity((FinancialCovenantEvent) commonAttributesEvent)
                    .show();
        }
        if (commonAttributesEvent instanceof NonFinancialCovenantEvent) {
            screenBuilders.editor(NonFinancialCovenantEvent.class, this)
                    .withOpenMode(OpenMode.DIALOG)
                    .editEntity((NonFinancialCovenantEvent) commonAttributesEvent)
                    .show();
        }
        if (commonAttributesEvent instanceof ProblemFactorEvent) {
            screenBuilders.editor(ProblemFactorEvent.class, this)
                    .withOpenMode(OpenMode.DIALOG)
                    .editEntity((ProblemFactorEvent) commonAttributesEvent)
                    .show();
        }
    }

    @Install(to = "commonAttributesEventTable", subject = "styleProvider")
    private String commonAttributesEventTableStyleProvider(CommonAttributesEvent entity, String property) {
        if (property == null) {
            if (entity.getCompleted()) {
                return "event-grey";
            } else if (entity.getPlannedEndDate().isBefore(LocalDate.now())) {
                return "event-red ";
            } else return  "event-blue";
        }
        return null;
    }



}