package ru.mkb.corp.monmod.web.screens.counterparty;

import com.haulmont.cuba.gui.ScreenBuilders;
import com.haulmont.cuba.gui.components.Action;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.screen.LoadDataBeforeShow;
import com.haulmont.cuba.gui.screen.LookupComponent;
import com.haulmont.cuba.gui.screen.StandardLookup;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.counterparty.Bank;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;
import ru.mkb.corp.monmod.entity.counterparty.Holding;
import ru.mkb.corp.monmod.entity.counterparty.JuridicalClient;
import ru.mkb.corp.monmod.entity.counterparty.SpClient;

import javax.inject.Inject;

@UiController("mm_Counterparty.browse")
@UiDescriptor("counterparty-browse.xml")
@LookupComponent("counterpartiesTable")
@LoadDataBeforeShow
public class CounterpartyBrowse extends StandardLookup<Counterparty> {

    @Inject
    private ScreenBuilders screenBuilders;
    @Inject
    private GroupTable<Counterparty> counterpartiesTable;


    @Subscribe("createBtn.Holding")
    public void onCreateBtnHolding(Action.ActionPerformedEvent event) {
        screenBuilders.editor(counterpartiesTable)
                .newEntity(getScreenData().getDataContext().create(Holding.class))
                .show();
    }

    @Subscribe("createBtn.SpClient")
    public void onCreateBtnSpClient(Action.ActionPerformedEvent event) {
        screenBuilders.editor(counterpartiesTable)
                .newEntity(getScreenData().getDataContext().create(SpClient.class))
                .show();
    }

    @Subscribe("createBtn.Juridical")
    public void onCreateBtnJuridical(Action.ActionPerformedEvent event) {
        screenBuilders.editor(counterpartiesTable)
                .newEntity(getScreenData().getDataContext().create(JuridicalClient.class))
                .show();
    }

    @Subscribe("createBtn.Bank")
    public void onCreateBtnBank(Action.ActionPerformedEvent event) {
        screenBuilders.editor(counterpartiesTable)
                .newEntity(getScreenData().getDataContext().create(Bank.class))
                .show();
    }

}
