package ru.mkb.corp.monmod.web.screens.counterparty.client;

import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.gui.components.CheckBox;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.Label;
import com.haulmont.cuba.gui.components.TextField;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.counterparty.Client;

import javax.inject.Inject;

@UiController("mm_Client.edit")
@UiDescriptor("client-edit.xml")
@EditedEntityContainer("clientDc")
@LoadDataBeforeShow
public class ClientEdit extends StandardEditor<Client> {
    @Inject
    private CheckBox isResidentField;
    @Inject
    private TextField<String> innField;
    @Inject
    private TextField<String> kioField;
    @Inject
    private Label<String> innText;
    @Inject
    private Label<String> kioText;
    @Inject
    private TextField<String> nameField;
    @Inject
    private Metadata metadata;

    @Subscribe
    protected void onInit(InitEvent event){
        Client client = metadata.create(Client.class);
        this.setEntityToEdit(client);
        updateVisibility();
        nameField.setValue(this.getEditedEntity().getName());
    }

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        updateVisibility();
    }

    private void updateVisibility(){
        kioText.setVisible(false);
        innField.setVisible(false);
        innField.setVisible(false);
        kioField.setVisible(false);
        Boolean res = isResidentField.isChecked();
        if(res) {
            innField.setVisible(true);
            kioField.setVisible(false);
            innText.setVisible(true);
            kioText.setVisible(false);
        }
        else {
            kioField.setVisible(true);
            innField.setVisible(false);
            kioText.setVisible(true);
            innText.setVisible(false);
        }

    }
    @Subscribe("isResidentField")
    public void onIsResidentFieldValueChange(HasValue.ValueChangeEvent<Boolean> event)
    {
        updateVisibility();
    }
}