package ru.mkb.corp.monmod.web.screens.counterparty.juridicalclient;

import com.haulmont.cuba.gui.components.CheckBox;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.Label;
import com.haulmont.cuba.gui.components.PickerField;
import com.haulmont.cuba.gui.components.TextField;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.counterparty.Holding;
import ru.mkb.corp.monmod.entity.counterparty.JuridicalClient;

import javax.inject.Inject;

@UiController("mm_JuridicalClient.edit")
@UiDescriptor("juridical-client-edit.xml")
@EditedEntityContainer("juridicalClientDc")
@LoadDataBeforeShow
public class JuridicalClientEdit extends StandardEditor<JuridicalClient> {
    @Inject
    private CheckBox isResidentField;
    @Inject
    private TextField<String> innField;
    @Inject
    private Label<String> titleHolding;
    @Inject
    private PickerField<Holding> holdingField;

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        updateVisibility();
    }

    private void updateVisibility(){
        Boolean res = isResidentField.isChecked();
        if(res)
            innField.setCaption("ИНН");
        else
            innField.setCaption("КИО");
        if (!holdingField.isEmpty())
            titleHolding.setValue(holdingField.getValue().getHoldingName());

    }
    @Subscribe("isResidentField")
    public void onIsResidentFieldValueChange(HasValue.ValueChangeEvent<Boolean> event)
    {
        updateVisibility();
    }

    @Subscribe("holdingField")
    public void onHoldingFieldValueChange(HasValue.ValueChangeEvent<String> event)
    {
        updateVisibility();
    }

}