package ru.mkb.corp.monmod.web.screens.financialcovenantevent;

import com.haulmont.cuba.gui.Fragments;
import com.haulmont.cuba.gui.components.Component;
import com.haulmont.cuba.gui.components.GroupBoxLayout;
import com.haulmont.cuba.gui.components.ScrollBoxLayout;
import com.haulmont.cuba.gui.screen.EditedEntityContainer;
import com.haulmont.cuba.gui.screen.LoadDataBeforeShow;
import com.haulmont.cuba.gui.screen.StandardEditor;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;
import ru.mkb.corp.monmod.entity.event.FinancialCovenantEvent;

import javax.inject.Inject;

@UiController("mm_FinancialCovenantEvent.edit")
@UiDescriptor("financial-covenant-event-edit.xml")
@EditedEntityContainer("eventDc")
@LoadDataBeforeShow
public class FinancialCovenantEventEdit extends StandardEditor<FinancialCovenantEvent> {
    @Inject
    private GroupBoxLayout finanCovEventFragment;
    @Inject
    private Fragments fragments;


    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        finanCovEventFragment.add(createFragment(getEditedEntity().getCovenant()));
    }

    private Component createFragment(CovenantEventMonitoringCovenant covenantEventMonitoringCovenant) {
        FinancialCovenantEventFragment financialCovenantEventFragment = fragments.create(this, FinancialCovenantEventFragment.class);
        financialCovenantEventFragment.setInstance(covenantEventMonitoringCovenant);
        return financialCovenantEventFragment.getFragment();
    }
}
