package ru.mkb.corp.monmod.web.screens.nonfinancialcovenantevent;

import com.haulmont.cuba.gui.Fragments;
import com.haulmont.cuba.gui.components.Component;
import com.haulmont.cuba.gui.components.GroupBoxLayout;
import com.haulmont.cuba.gui.components.ScrollBoxLayout;
import com.haulmont.cuba.gui.screen.EditedEntityContainer;
import com.haulmont.cuba.gui.screen.LoadDataBeforeShow;
import com.haulmont.cuba.gui.screen.StandardEditor;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.event.CovenantEventMonitoringCovenant;
import ru.mkb.corp.monmod.entity.event.NonFinancialCovenantEvent;

import javax.inject.Inject;

@UiController("mm_NonFinancialCovenantEvent.edit")
@UiDescriptor("non-financial-covenant-event-edit.xml")
@EditedEntityContainer("eventDc")
@LoadDataBeforeShow
public class NonFinancialCovenantEventEdit extends StandardEditor<NonFinancialCovenantEvent> {
    @Inject
    private GroupBoxLayout nonFinanCovEventFragment;
    @Inject
    private Fragments fragments;


    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        nonFinanCovEventFragment.add(createFragment(getEditedEntity().getCovenant()));
    }

    private Component createFragment(CovenantEventMonitoringCovenant covenantEventMonitoringCovenant) {
        NonFinancialCovenantEventFragment nonFinancialCovenantEventFragment = fragments.create(this, NonFinancialCovenantEventFragment.class);
        nonFinancialCovenantEventFragment.setInstance(covenantEventMonitoringCovenant);
        return nonFinancialCovenantEventFragment.getFragment();
    }
}
