package ru.mkb.corp.monmod.web.screens.problemattribute;

import com.haulmont.cuba.client.sys.cache.ClientCacheManager;
import com.haulmont.cuba.client.sys.cache.DynamicAttributesCacheStrategy;
import com.haulmont.cuba.core.app.dynamicattributes.DynamicAttributesCacheService;
import com.haulmont.cuba.core.global.Messages;
import com.haulmont.cuba.gui.Notifications;
import com.haulmont.cuba.gui.ScreenBuilders;
import com.haulmont.cuba.gui.components.Action;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.config.PermissionConfig;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.attribute.ProblemAttribute;

import javax.inject.Inject;

@UiController("mm_ProblemAttribute.browse")
@UiDescriptor("problem-attribute-browse.xml")
@LookupComponent("problemAttributesTable")
@LoadDataBeforeShow
public class ProblemAttributeBrowse extends StandardLookup<ProblemAttribute> {

    @Inject
    private ScreenBuilders screenBuilders;

    @Inject
    private GroupTable<ProblemAttribute> problemAttributesTable;
    @Inject
    private ClientCacheManager clientCacheManager;
    @Inject
    private DynamicAttributesCacheService dynamicAttributesCacheService;
    @Inject
    private PermissionConfig permissionConfig;
    @Inject
    private Notifications notifications;
    @Inject
    private Messages messages;

    @Subscribe("problemAttributesTable.create")
    public void onProblemAttributesTableCreate(Action.ActionPerformedEvent event) {
        screenBuilders.editor(problemAttributesTable)
                .withScreenClass(ProblemAttributeEdit.class)
                .newEntity()
                .show();
    }

    @Subscribe("problemAttributesTable.edit")
    public void onProblemAttributesTableEdit(Action.ActionPerformedEvent event) {
        screenBuilders.editor(problemAttributesTable)
                .withScreenClass(ProblemAttributeEdit.class)
                .show();
    }

    @Subscribe("problemAttributesTable.applyChanges")
    public void onProblemAttributesTableApplyChanges(Action.ActionPerformedEvent event) {
        dynamicAttributesCacheService.loadCache();
        clientCacheManager.refreshCached(DynamicAttributesCacheStrategy.NAME);
        permissionConfig.clearConfigCache();
        notifications
                .create(Notifications.NotificationType.HUMANIZED)
                .withCaption(messages.getMessage(this.getClass(), "Изменения применены"))
                .withHideDelayMs(3000)
                .show();
    }

}