package ru.mkb.corp.monmod.web.screens.problemfactor;

import com.haulmont.cuba.gui.ScreenBuilders;
import com.haulmont.cuba.gui.components.Action;
import com.haulmont.cuba.gui.model.CollectionContainer;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.attribute.ProblemAttribute;
import ru.mkb.corp.monmod.entity.directories.ProblemFactor;
import ru.mkb.corp.monmod.entity.problemfactorattribute.ProblemFactorAttribute;
import ru.mkb.corp.monmod.web.screens.problemattribute.ProblemAttributeBrowse;

import javax.inject.Inject;
import java.util.List;
import java.util.stream.Collectors;

@UiController("mm_ProblemFactor.edit")
@UiDescriptor("problem-factor-edit.xml")
@EditedEntityContainer("problemFactorDc")
@LoadDataBeforeShow
public class ProblemFactorEdit extends StandardEditor<ProblemFactor> {

    @Inject
    private ScreenBuilders screenBuilders;

    @Inject
    private CollectionContainer<ProblemFactorAttribute> attributeDc;



    @Subscribe("attributeTable.add")
    public void onChooseAttributeButtonClick(Action.ActionPerformedEvent event) {
        List<ProblemFactorAttribute> mutableItems = attributeDc.getMutableItems();
        List<ProblemAttribute> existed = mutableItems.stream().map(ProblemFactorAttribute::getAttribute).collect(Collectors.toList());
        screenBuilders.lookup(ProblemAttribute.class, this)
                .withScreenClass(ProblemAttributeBrowse.class)
                .withOpenMode(OpenMode.DIALOG)
                .withSelectHandler(e -> e.stream().filter(problemAttribute -> !existed.contains(problemAttribute))
                        .forEach(dt -> {
                            ProblemFactorAttribute dat = getScreenData().getDataContext().create(ProblemFactorAttribute.class);
                            dat.setAttribute(dt);
                            dat.setFactor(this.getEditedEntity());
                            dat.setIsRequired(dt.getRequired());
                            dat.setOrd(mutableItems.stream().map(ProblemFactorAttribute::getOrd).max(Integer::compareTo).map(integer -> integer + 1).orElse(1));
                            mutableItems.add(dat);
                        })
                )
                .show();
    }
}