package ru.mkb.corp.monmod.web.screens.problemfactorevent;

import com.haulmont.cuba.gui.Fragments;
import com.haulmont.cuba.gui.ScreenBuilders;
import com.haulmont.cuba.gui.components.BoxLayout;
import com.haulmont.cuba.gui.components.Button;
import com.haulmont.cuba.gui.components.Component;
import com.haulmont.cuba.gui.components.LayoutClickNotifier;
import com.haulmont.cuba.gui.components.ScrollBoxLayout;
import com.haulmont.cuba.gui.model.CollectionPropertyContainer;
import com.haulmont.cuba.gui.screen.*;
import ru.mkb.corp.monmod.entity.counterparty.Bank;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;
import ru.mkb.corp.monmod.entity.counterparty.Holding;
import ru.mkb.corp.monmod.entity.counterparty.JuridicalClient;
import ru.mkb.corp.monmod.entity.counterparty.SpClient;
import ru.mkb.corp.monmod.entity.event.ProblemFactorEvent;
import ru.mkb.corp.monmod.entity.event.ProblemFactorEventMonitoringFactor;
import ru.mkb.corp.monmod.entity.problemfactorattribute.ProblemFactorAttribute;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.List;

@UiController("mm_ProblemFactorEvent.edit")
@UiDescriptor("problem-factor-event-edit.xml")
@EditedEntityContainer("eventDc")
@LoadDataBeforeShow
public class ProblemFactorEventEdit extends StandardEditor<ProblemFactorEvent> {
    @Inject
    private BoxLayout problemFragments;
    @Inject
    private Fragments fragments;

    List<ObserveProblemFactor> eventProblemFragments = new ArrayList<>();

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        getEditedEntity().getFactors().forEach(
                problemFactorEventMonitoringFactor -> {
                    problemFragments.add(createFragment(problemFactorEventMonitoringFactor));
                }
        );

    }

    private Component createFragment(ProblemFactorEventMonitoringFactor problemFactorEventMonitoringFactor) {
        EventProblemFragment eventProblemFragment = fragments.create(this, EventProblemFragment.class);
        eventProblemFragment.setInstance(problemFactorEventMonitoringFactor);
        eventProblemFragment.detectedProblem();
        eventProblemFragments.add(eventProblemFragment);
        eventProblemFragment.addAttributeChangedEventHandler(event -> {
            eventProblemFragments.stream()
                    .filter(observeProblemFactor -> !observeProblemFactor.equals(event.getSender()))
                    .forEach(observeProblemFactor -> observeProblemFactor.handleAttributeChanged(event));
        });
        return eventProblemFragment.getFragment();
    }


}