package ru.mkb.corp.monmod.web.screens.startpage;

import com.haulmont.cuba.gui.components.CheckBox;
import com.haulmont.cuba.gui.components.GroupTable;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.Table;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.Screen;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import com.haulmont.cuba.security.entity.User;
import ru.mkb.corp.monmod.entity.counterparty.Client;
import ru.mkb.corp.monmod.entity.counterparty.Counterparty;
import ru.mkb.corp.monmod.entity.counterparty.Holding;
import ru.mkb.corp.monmod.entity.event.CommonAttributesEvent;
import ru.mkb.corp.monmod.entity.process.task.TaskInfo;

import javax.inject.Inject;

@UiController("mm_StartScreen")
@UiDescriptor("start-screen.xml")
public class StartScreen extends Screen {
    @Inject
    private CollectionLoader<CommonAttributesEvent> commonAttributesEventDl;
    @Inject
    private CollectionLoader<Counterparty> counterpartyDl;
    @Inject
    private CollectionLoader<TaskInfo> taskDl;
    @Inject
    private CollectionLoader<User> managerDl;
    @Inject
    private GroupTable<CommonAttributesEvent> commonAttributesEventTable;
    @Inject
    private CheckBox isSync;

    @Subscribe("isCompleted")
    public void onIsCompletedValueChange(HasValue.ValueChangeEvent<Boolean> event) {
        if (event.getValue()) {
            commonAttributesEventDl.setParameter("completed", null);
        } else {
            commonAttributesEventDl.setParameter("completed", false);
        }
        commonAttributesEventDl.load();
    }

    @Subscribe
    public void onInit(InitEvent event) {
        commonAttributesEventDl.setParameter("completed", false);
        commonAttributesEventDl.load();
        counterpartyDl.load();
        managerDl.load();
//        taskDl.removeParameter("event");
        taskDl.load();
    }

    @Subscribe("managerField")
    public void onManagerFieldValueChange(HasValue.ValueChangeEvent<User> event) {
        commonAttributesEventDl.setParameter("manager", event.getValue());
        commonAttributesEventDl.load();
    }

//    @Subscribe("holdingField")
//    public void onHoldingFieldValueChange(HasValue.ValueChangeEvent<Counterparty> event) {
//        if (event.getValue().getHolding() != null) {
//            commonAttributesEventDl.setParameter("holding", event.getValue().getHolding());
//            commonAttributesEventDl.load();
//        }
//    }

    @Subscribe("counterpartyField")
    public void onCounterpartyFieldValueChange(HasValue.ValueChangeEvent<Client> event) {
        commonAttributesEventDl.setParameter("client", event.getValue());
        commonAttributesEventDl.load();
    }

    @Subscribe("isSync")
    public void onIsSyncValueChange(HasValue.ValueChangeEvent<Boolean> event) {
        if (event.getValue()) {
            taskDl.setParameter("event", commonAttributesEventTable.getSingleSelected());
        } else {
            taskDl.setParameter("event", null);
            //taskDl.removeParameter("event");
        }
        taskDl.load();

    }

    @Subscribe("commonAttributesEventTable")
    public void onCommonAttributesEventTableSelection(Table.SelectionEvent<CommonAttributesEvent> event) {
        if (isSync.isChecked()) {
            taskDl.setParameter("event", commonAttributesEventTable.getSingleSelected());
            taskDl.load();
        }
    }


}