package ru.mkb.corp.monmod.web.screens.subdivision;

import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.LookupField;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import com.haulmont.cuba.security.entity.Group;
import com.haulmont.cuba.security.entity.Role;
import com.haulmont.cuba.security.entity.User;
import ru.mkb.corp.monmod.entity.directories.Subdivision;
import javax.inject.Inject;
import java.util.List;

@UiController("mm_Subdivision.edit")
@UiDescriptor("subdivision-edit.xml")
@EditedEntityContainer("subdivisionDc")
@LoadDataBeforeShow
public class SubdivisionEdit extends StandardEditor<Subdivision> {


    @Inject
    private LookupField<User> managerField;
    @Inject
    private LookupField<User> leaderField;
    @Inject
    private DataManager dataManager;


    @Subscribe("subdivisionField")
    public void onSubdivisionFieldValueChange(HasValue.ValueChangeEvent<Group> event) {
        managerField.setOptionsList(getUsers("manager", event.getValue()));
        leaderField.setOptionsList(getUsers("lead", event.getValue()));
    }

    public List<User> getUsers(String roleName, Group group) {

        return dataManager.load(User.class)
                .query("select distinct ur.user from sec$UserRole ur where ur.role.name =:roleName and ur.user.group =:group")
                .parameter("roleName", roleName)
                .parameter("group", group)
                .list();
    }
}