package ru.mkb.corp.monmod.web.screens.turnover;

import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.ScreenFragment;
import com.haulmont.cuba.gui.screen.Subscribe;
import com.haulmont.cuba.gui.screen.Target;
import com.haulmont.cuba.gui.screen.UiController;
import com.haulmont.cuba.gui.screen.UiDescriptor;
import ru.mkb.corp.monmod.entity.monitoring.MonitoringCard;
import ru.mkb.corp.monmod.entity.monitoring.StrategicPlan;
import ru.mkb.corp.monmod.entity.monitoring.Turnover;

import javax.inject.Inject;

@UiController("mm_TurnoverFragment")
@UiDescriptor("turnover-fragment.xml")
public class TurnoverFragment extends ScreenFragment {
    @Inject
    private InstanceContainer<MonitoringCard> monitoringCardDc;

    @Subscribe(id = "monitoringCardDc", target = Target.DATA_CONTAINER)
    public void onMonitoringCardDcItemChange(InstanceContainer.ItemChangeEvent<MonitoringCard> event) {
        if (event.getItem() != null && event.getItem().getTurnover() == null) {
            final Turnover turnover = getScreenData().getDataContext().create(Turnover.class);
            monitoringCardDc.getItem().setTurnover(turnover);
        }
    }
}